<?php
/**
 * The template for displaying attachments.
 *
 * @package WordPress
 * @subpackage purepress
 * @since purepress 1.0
 */
get_header();
?>

<div class="container">
    <div class="row clearfix">
        <?php $options = get_option('magnovus');
        if ($options['sidebarside'] == 'left') {
            get_sidebar();
        } ?>

        <section id="content" class="eightcol <?php if ($options['sidebarside'] == 'left') {
            echo 'last';
        } ?>" role="main" >
            <section id="articles">
                <?php if (have_posts())
                    while (have_posts()) : the_post(); ?>
                        <?php if (!empty($post->post_parent)) : ?>


                            <article id="post-<?php the_ID(); ?>" <?php post_class('loop'); ?>>
                                <h2 class="entry-title"><a  href="<?php echo get_permalink($post->post_parent); ?>" title="<?php esc_attr(printf(__('بازگشت به %s', 'purepress'), get_the_title($post->post_parent))); ?>" rel="gallery">
                                    <span class="meta-nav"><?php printf(__('&larr; %s', 'purepress'), get_the_title($post->post_parent)); ?></span>
                                        <?php the_title(); ?>
                                </a></h2>
                            <?php endif; ?>
                            <div class="content">


                            <?php
                            if (wp_attachment_is_image()) :
                                $attachments = array_values(get_children(array('post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID')));
                                foreach ($attachments as $k => $attachment) {
                                    if ($attachment->ID == $post->ID)
                                        break;
                                }
                                $k++;
                                // If there is more than 1 image attachment in a gallery
                                if (count($attachments) > 1) {
                                    if (isset($attachments[$k]))
                                    // get the URL of the next image attachment
                                        $next_attachment_url = get_attachment_link($attachments[$k]->ID);
                                    else
                                    // or get the URL of the first image attachment
                                        $next_attachment_url = get_attachment_link($attachments[0]->ID);
                                } else {
                                    // or, if there's only 1 image attachment, get the URL of the image
                                    $next_attachment_url = wp_get_attachment_url();
                                }
                                ?>
                                <p><a href="<?php echo $next_attachment_url; ?>" title="<?php echo esc_attr(get_the_title()); ?>" rel="attachment"><?php
                                $attachment_size = apply_filters('purepress_attachment_size', 700);
                                echo wp_get_attachment_image($post->ID, array($attachment_size, 9999)); // filterable image width with, essentially, no limit for image height.
                                ?></a></p>
                                <div class="entry-meta">
                                    <?php
                                    printf(__('به دست %2$s', 'purepress'), 'meta-prep meta-prep-author', sprintf('<a class="url fn n" href="%1$s" title="%2$s">%3$s</a>', get_author_posts_url(get_the_author_meta('ID')), sprintf(esc_attr__('نمایش تمام نوشته های %s', 'purepress'), get_the_author()), get_the_author()
                                            )
                                    );
                                    ?>
                                    <span>|</span>
                                    <?php
                                    printf(__('منتشر شده %2$s', 'purepress'), 'meta-prep meta-prep-entry-date', sprintf('<abbr title="%1$s">%2$s</abbr>', esc_attr(get_the_time()), get_the_date()
                                            )
                                    );
                                    if (wp_attachment_is_image()) {
                                        echo ' | ';
                                        $metadata = wp_get_attachment_metadata();
                                        printf(__('اندازه اصلی %s پیکسل است', 'purepress'), sprintf('<a href="%1$s" title="%2$s">%3$s &times; %4$s</a>', wp_get_attachment_url(), esc_attr(__('Link to full-size image', 'purepress')), $metadata['width'], $metadata['height']
                                                )
                                        );
                                    }
                                    ?>
                                    <?php edit_post_link(__('ویرایش', 'purepress'), '', ''); ?>
                                </div><!-- .entry-meta -->
                                <div class="entry-caption">
                                    <?php if (!empty($post->post_excerpt))
                                        the_excerpt(); ?>
                                    <?php the_content(__('ادامه خواندن &rarr;', 'purepress')); ?>
                                </div>

                                <?php wp_link_pages(array('before' => '' . __('صفحات:', 'purepress'), 'after' => '')); ?>

                                <?php else : ?>
                                <a href="<?php echo wp_get_attachment_url(); ?>" title="<?php echo esc_attr(get_the_title()); ?>" rel="attachment"><?php echo basename(get_permalink()); ?></a>
                                <?php endif; ?>
                          
                            </div>
                                <nav id="nav-below" class="navigation">
                                            <div class="nav-previous">
                                                <p><?php previous_image_link(false); ?></p>
                                            </div>
                                            <div class="nav-next">
                                                <p><?php next_image_link(false); ?></p>
                                            </div>

                                        </nav><!-- #nav-below -->
                                
         
                                
                        </article>
                    <?php comments_template('', true); ?>
                    </section>
                        <?php endwhile; ?>
        </section>
<?php if ($options['sidebarside'] != 'left') {
    get_sidebar();
} ?>
    </div>
</div>
</div>



<?php get_footer(); ?>