<?php

function wp_infinitepaginate() {
    $loopFile = $_POST['loop_file'];
    $paged = $_POST['page_no'];
    $posts_per_page = get_option('posts_per_page');
    global $type;
    $type = $_POST['type'];

    # Load the posts

    if ($type == 'comments') {
        $args = array(
                'orderby' => 'comment_count',
                'order' => 'DESC',
                'post_type' => 'post',
                'post_status' => 'publish',
                'paged' => $paged,
                'posts_per_page' => $posts_per_page
        );
    }
    if ($type == 'date') {
        $args = array(
                'orderby' => 'date',
                'order' => 'DESC',
                'post_type' => 'post',
                'post_status' => 'publish',
                'paged' => $paged,
                'posts_per_page' => $posts_per_page
        );
    }
    if ($type == 'shuffle') {
        $args = array(
                'orderby' => 'rand',
                'post_type' => 'post',
                'post_status' => 'publish',
                'paged' => $paged,
                'posts_per_page' => $posts_per_page
        );
    }
/*    if ($type == 'rating') {
        $args = array(

                'post_type' => 'post',
                'post_status' => 'publish',
                'paged' => $paged,
                'posts_per_page' => $posts_per_page,
                'gdsr_sort' => 'rating',
                'gdsr_order' => 'asc',

        );
    }*/


        query_posts($args);
        get_template_part($loopFile);

    exit;
}

add_action('wp_ajax_infinite_scroll', 'wp_infinitepaginate');           // for logged in user
add_action('wp_ajax_nopriv_infinite_scroll', 'wp_infinitepaginate');    // if user not logged in



add_action('wp_footer', 'magnovus_ajax_nav');

function magnovus_ajax_nav() {
    global $wp_query;
    $options = get_option('magnovus');

    if ($options['ajaxstatus'] && is_home()) {
        ?>

<script type="text/javascript">
    jQuery(document).ready(function($) {

        var curpage = <?php $paged = ( get_query_var('paged') > 1 ) ? get_query_var('paged') : 1;
        echo $paged; ?>;

        <?php if ($options['ajaxpagination']) { ?>

        $('.nav-previous a').click(function(e){
            e.preventDefault();
            var type = $('#posts-sort li.active a').attr('id');
            var maxpage = <?php echo $wp_query->max_num_pages; ?>;
            if (curpage+1 <= maxpage) {
                loadPosts(type,curpage+1);
                var nextpage = curpage+1
                location.hash = 'page/' + nextpage;
            } else {
                $(this).hide();
            }
            curpage++;
            checkpage(curpage);
            var offset = $('#posts-sort').offset();
            var toph = offset.top;
            $('html, body').animate({
                scrollTop:toph
            }, 'slow');
        });

        $('.nav-next a').live('click',function(e){
            e.preventDefault();
            var type = $('#posts-sort li.active a').attr('id');
            if(curpage-1 != 0) loadPosts(type,curpage-1);
            curpage--;
            if(curpage == 1) $(this).hide();
            checkpage(curpage);
            $('.nav-previous a').show();
        });
            <?php } ?>
        function checkpage(curpage) {
            if(curpage >= 2) {
                $('.nav-next').html('<a href="/"><?php _e('Older posts', 'purepress'); ?></a>')
            }
        }

        $('#posts-sort li a.ajax').click(function(e){
            e.preventDefault();
            $('#posts-sort li').removeClass('active');
            $(this).parent().addClass('active');
            var type = $(this).attr('id');
            loadPosts(type);
            curpage = 1
        })

        function loadPosts(type,pageNumber){
            $('#articles').slideUp('slow');
            $('#loader').fadeIn();
            $.ajax({
                url: "<?php echo site_url(); ?>/wp-admin/admin-ajax.php",
                type:'POST',
                data: "action=infinite_scroll&page_no="+ pageNumber + '&loop_file=loop-ajax&type='+type,
                success: function(html){
                    $('#loader').fadeOut();
                    $("#articles").html(html).slideDown('slow');    // This will be the div where our content will be loaded
                }
            });
            return false;
        }

        $(window).bind('hashchange', function(){
            url = window.location.hash.substring(6);

            if (!url) {
                return;
            }
            var type = $('#posts-sort li.active a').attr('id');
            loadPosts(type,url)

        });

        $(window).trigger('hashchange');
    });

</script>
        <?php
    } //ajaxstatus
}

add_action('wp_footer', 'custom_stylesheet_content');

function custom_stylesheet_content() {
    $options = get_option('magnovus');
    $margintop = $options['logomargintop'];
    $marginbottom = $options['logomarginbottom'];
    $color1 = $options['color1'];
    $color2 = $options['color2'];
    $color3 = $options['color3'];
    ?>
<style type="text/css">
    <?php if($options['logo']) { ?>
    header h1 a {
        <?php if ($margintop) { ?> margin-top: <?php echo $margintop; ?>px; <?php } ?>
        <?php if ($marginbottom) { ?> margin-bottom: <?php echo $marginbottom; ?>px; <?php } ?>
    }
        <?php }

    if($options['customcolors'] == 'yes') { ?>
    /*blue*/
    .tipsy-arrow-n { border-bottom-color: <?php echo $color1; ?>; }
    .tipsy-arrow-s { border-top-color: <?php echo $color1; ?>; }
    .tipsy-arrow-e { border-left-color: <?php echo $color1; ?>; }
    .tipsy-arrow-w { border-right-color: <?php echo $color1; ?>; }

    a.button,
    .comments-link,
    .tipsy-inner,
    .current-post-page,
    body .wp-pagenavi span.current,
    ul.main-menu li:hover,
    ul.dropmenu li:hover,
    .widget.popular ul li.odd,
    #sidebar #searchform #searchsubmit,
    #sidebar .widget.widget_newsletterwidget input[type="submit"],
    #sidebar .widget.newsletter input[type="submit"],input[type="submit"],
    .widget_calendar .widget-wrapper td.post,
    #register-box #wp-submit,
    #register-box .user-submit,
    #login-box #wp-submit,
    #login-box .user-submit,
    #commentform .form-submit input,
    .color1 {
        background-color: <?php echo $color1; ?>
    }

    /* class for text colors*/
    .widget .current_page_item a,
    a.moretag,
    .comment-reply-link,
    h3#comments-title em,
    #entry-author-info p a
    #login-box-remember a,
    h3#comments-title em
    .comment-reply-link,
    .color1t {
        color: <?php echo $color1; ?>
    }
    /* green */
    #posts-sort li.active a,
    #posts-sort li a:hover,
    .slides .read-more,
    .thumb-permalink ,
    .widget.magnovus-flickr ul li a.link,
    .flex-direction-nav li a:hover,
    .color2 {
        background-color: <?php echo $color2; ?>
    }
    /* orange */
    .wp-polls input.Buttons,
    a#next-article,
    .footer #gototop,
    .color3 {
        background-color: <?php echo $color3; ?>
    }
        <?php  }

    ?>

</style>
    <?php

}   //eof custom_stylesheet_content


function pp_onebyone_slider() {
    $options = get_option('magnovus');
    if($options['sliderstatus'] == 1 ) {
        $effect = $options['slider_effect'];

        if(empty($options['slideshowdelay']) || $options['slideshowdelay'] =='') {
            $slideshowdelay = '300';
        } else {
            $slideshowdelay = $options['slideshowdelay'];
        }

        ?>
<script type="text/javascript">
    jQuery(document).ready(function($) {
        $('#banner').oneByOne({
            className: 'oneByOne1',
            easeType: '<?php echo $effect; ?>',
            slideShowDelay: <?php if(!empty($slideshowdelay)) { echo $slideshowdelay; } else { echo '5000'; } ?>,
            slideShow: true
        });
    });
</script>
        <?php
    }
}
add_action('wp_footer', 'pp_onebyone_slider');

function custom_js() {
 $options = get_option('magnovus');
    if(is_singular()) {
        global $post;
        global $shortname;
        $enablebg = get_post_meta($post->ID, $shortname . "_enablebg_value", $single = true);
        if($enablebg == 'yes') {
            $bg = get_post_meta($post->ID, $shortname . "_bg_image_value", $single = true);
            $backstretch = get_post_meta($post->ID, $shortname . "_backstretch_value", $single = true);
            if($backstretch =='yes') { ?>
                <script type="text/javascript">
                    jQuery(document).ready(function($) {
                        $.backstretch("<?php echo $bg; ?>");
                    });
                </script>
                <?php
            } // back & bg
            if($backstretch =='no') {
                $bgposition = get_post_meta($post->ID, $shortname . "_bgpos_value", $single = true);
                $bgrepeat = get_post_meta($post->ID, $shortname . "_bgrepeat_value", $single = true);
                ?>
                <style type="text/css">
                    body {
                        background-image: url('<?php echo $bg; ?>');
                        background-position: <?php echo $bgposition; ?>;
                        background-repeat: <?php echo $bgrepeat; ?>;
                    }
                </style>
                <?php }
        } else {
            custom_bg();
        }
    }  else {

        custom_bg();
    }
}
function custom_bg() {
    $options = get_option('magnovus');
    if($options['style'] == 'fullbg') { ?>
            <script type="text/javascript">
                jQuery(document).ready(function($) {
                    $.backstretch("<?php echo $options['bgimg']; ?>");
                });
            </script>
        <?php }

    if($options['style'] == 'patternbg') { ?>
            <style type="text/css">
                    body {
                        background-image: url('<?php echo $options['bgimg']; ?>');
                        background-position: <?php echo $options['bgpos']; ?>;
                        background-repeat: <?php echo $options['bgrepeat']; ?>;
                    }
                </style>
               <?php }

        if($options['style'] == 'custom') { ?>
               <style type="text/css">
                   body { background-color: <?php echo $options['bgcolor']; ?>; }
                </style>
        <?php }
}

add_action('wp_footer', 'custom_js');
?>