<?php

// admin scripts



function load_my_script() {
    global $pagenow;
    if (is_admin() && $pagenow == 'post-new.php' OR $pagenow == 'post.php') {
        wp_register_style('magnovus-css', get_template_directory_uri() . '/backend/css/magnovus.admin.css');
        wp_register_script('magnovus-scripts', get_template_directory_uri() . '/backend/js/script.js');
        wp_enqueue_style('magnovus-css');
        wp_enqueue_script('magnovus-scripts');
    }
}
add_action('admin_init', 'load_my_script');


function new_excerpt_more($more) {
    global $post;
    return '... <a class="moretag" href="' . get_permalink($post->ID) . '"> '.__('بیشتر بخوانید &raquo;', 'purepress').' </a>';
}

add_filter('excerpt_more', 'new_excerpt_more');

function string_limit_words($string, $word_limit) {
    $words = explode(' ', $string, ($word_limit + 1));
    if (count($words) > $word_limit) {
        array_pop($words);
        //add a ... at last article when more than limit word count
        echo implode(' ', $words) . "...";
    } else {
        //otherwise
        echo implode(' ', $words);
    }
}


function magnovus_menu_fb(){ ?>
    <div class="menucont clearfix">
    <div id="mainmenu-cont" class="menu-top-container">
            <ul id="menu-top" class="dropmenu main-menu">
            <?php
            wp_list_pages(array(
                'depth' => 2, //number of tiers, 0 for unlimited
                'exclude' => '', //comma seperated IDs of pages you want to exclude
                'title_li' => '', //must override it to empty string so that it does not break our nav
                'sort_column' => 'post_title', //see documentation for other possibilites
                'sort_order' => 'ASC', //ASCending or DESCending
            ));
            ?>
            </ul>
        </div>
    </div>
    <?php
}

function magnovus_topmenu_fb(){ ?>
   <div id="topmenu-cont" class="menu-top-menu-container">
<ul id="nav-top" class="dropmenu">
            <?php
            wp_list_pages(array(
                'depth' => 2, //number of tiers, 0 for unlimited
                'exclude' => '', //comma seperated IDs of pages you want to exclude
                'title_li' => '', //must override it to empty string so that it does not break our nav
                'sort_column' => 'post_title', //see documentation for other possibilites
                'sort_order' => 'ASC', //ASCending or DESCending
            ));
            ?>
            </ul>
        </div>
  
    <?php
}



function get_plusones($url) {
     
    $args = array(
            'method' => 'POST',
            'headers' => array(
                // setup content type to JSON
                'Content-Type' => 'application/json'
            ),
            // setup POST options to Google API
            'body' => json_encode(array(
                'method' => 'pos.plusones.get',
                'id' => 'p',
                'method' => 'pos.plusones.get',
                'jsonrpc' => '2.0',
                'key' => 'p',
                'apiVersion' => 'v1',
                'params' => array(
                    'nolog'=>true,
                    'id'=> $url,
                    'source'=>'widget',
                    'userId'=>'@viewer',
                    'groupId'=>'@self'
                )
             )),
             // disable checking SSL sertificates              
            'sslverify'=>false
        );
     
    // retrieves JSON with HTTP POST method for current URL 
    $json_string = wp_remote_post("https://clients6.google.com/rpc", $args);
     
    if (is_wp_error($json_string)){
        // return zero if response is error                            
        return "0";            
    } else {       
        $json = json_decode($json_string['body'], true);                   
        // return count of Google +1 for requsted URL
        return intval( $json['result']['metadata']['globalCounts']['count'] );
    }
}
/**
 * related post with category
 * @param: int $limit limit of posts
 * @param: bool $catName echo category name
 * @param: string $title string before all entries
 * Example: echo fb_cat_related_posts();
 */
if (!function_exists('fb_get_cat_related_posts')) {

    function fb_get_cat_related_posts($limit = 5, $catName = TRUE) {
        if (!is_single())
            return;
        $limit = (int) $limit;
        $output = '';

        $category = get_the_category();
        $category = (int) $category[0]->cat_ID;
        if ($catName)
            $output .= __('Categories: ','purepress') . get_cat_name($category) . ' ';

        $args = array(
                'numberposts' => $limit,
                'category' => $category,
        );


        $the_query = new WP_Query($args);
        echo "<ul>";
        while ($the_query->have_posts()) : $the_query->the_post();
            ?>
<li id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                <?php if (has_post_thumbnail()) { ?>
    <div class="thumb-container">
        <a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('Permalink to %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark">
                            <?php the_post_thumbnail('small-thumb'); ?>
        </a>
        <a class="comments-link" href="<?php comments_link(); ?>"><?php echo get_comments_number(); ?></a>
    </div>
                    <?php } ?>
    <div class="post-container <?php
                if (!has_post_thumbnail()) {
                    echo "no-thumb";
                }
                     ?> ">
        <h5 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('Permalink to %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php the_title(); ?></a></h5>
        <a class="author-link" href="<?php echo get_author_posts_url(get_the_author_meta('ID' )); ?>"><?php the_author_meta('display_name'); ?></a>
                    <?php printf('<a href="%1$s" class="published-time" title="%2$s" rel="bookmark">%3$s</a>', get_permalink(), esc_attr(get_the_time()), get_the_date()); ?>
    </div>
</li><!-- #post-## -->
        <?php
        endwhile; // End the loop. Whew.
        echo "</ul>";
        wp_reset_postdata();
    }

}




function rarst_twitter_user( $username, $field, $display = false ) {
    $interval = 3600;
    $cache = get_option('rarst_twitter_user');
    $url = 'http://api.twitter.com/1/users/show.json?screen_name='.urlencode($username);

    if ( false == $cache )
        $cache = array();

// if first time request add placeholder and force update
    if ( !isset( $cache[$username][$field] ) ) {
        $cache[$username][$field] = NULL;
        $cache[$username]['lastcheck'] = 0;
    }

// if outdated
    if( $cache[$username]['lastcheck'] < (time()-$interval) ) {

// holds decoded JSON data in memory
        static $memorycache;

        if ( isset($memorycache[$username]) ) {
            $data = $memorycache[$username];
        }
        else {
            $result = wp_remote_retrieve_body(wp_remote_request($url));
            $data = json_decode( $result );
            if ( is_object($data) )
                $memorycache[$username] = $data;
        }

        if ( is_object($data) ) {
// update all fields, known to be requested
            foreach ($cache[$username] as $key => $value)
                if( isset($data->$key) )
                    $cache[$username][$key] = $data->$key;

            $cache[$username]['lastcheck'] = time();
        }
        else {
            $cache[$username]['lastcheck'] = time()+60;
        }

        update_option( 'rarst_twitter_user', $cache );
    }

    if ( false != $display )
        echo $cache[$username][$field];
    return $cache[$username][$field];
}


function diww_fb_fan_count($fb_id) {

    $link = json_decode(file_get_contents('http://graph.facebook.com/'.$fb_id.' '));
    echo $link->likes;
}



function feed_subscribers($url) {
    $feed_url = 'http://feeds.feedburner.com/'.$url;

    $count = get_transient('feed_count');
    if ($count != false) return $count;
    $count = 0;
    $data  = wp_remote_get('http://feedburner.google.com/api/awareness/1.0/GetFeedData?uri='.$feed_url.'');
    if (is_wp_error($data)) {
        return 'error';
    }else {
        $body = wp_remote_retrieve_body($data);
        $xml = new SimpleXMLElement($body);
        $status = $xml->attributes();
        if ($status == 'ok') {
            $count = $xml->feed->entry->attributes()->circulation;
        } else {
            $count = 300; // fallback number
        }
    }
    set_transient('feed_count', $count, 60*60*24); // 24 hour cache
    echo $count;
}


/**
 * get RSS readers count
 * @param string Feedburner id
 * @return int
 */
function getRssCount($feedburnerID)
{
    $transientKey = "cfRssFollowers";

    $rssCount = get_transient($transientKey);

    if (false !== $cached) {
    	$fbUrl="http://feedburner.google.com/api/awareness/1.0/GetFeedData?uri=" . $feedburnerID;
		$data = wp_remote_get($fbUrl);

		$grid = new SimpleXMLElement($data['body']);
		$rssCount = $grid->feed->entry['circulation'];

		set_transient('cf_rss_followers', $rssCount, 600);
    }

    return $rssCount;
}




//gd rating function to get rating in ajax call

function gd_get_rating_ajax($post) {
    $rating = GDSRDatabase::get_post_data($post->ID);
    $uservoters = $rating->user_voters;
    $visitorvoters = $rating->visitor_voters;
    $votes = $uservoters + $visitorvotes;

    $uservotes = $rating->user_votes;
    $visitorvotes = $rating->visitor_votes;

    if ($votes > 0) $finalrating = number_format(($visitorvotes + $uservotes) / ($visitorvoters + $uservoters), 1);

    return GDSRRender::render_static_stars("magnovus", "20", "5", $finalrating, "", "", 1);

}


/** 
 * http://bavotasan.com/2012/a-better-wp_link_pages-for-wordpress/
 */
function custom_wp_link_pages( $args = '' ) {
    $defaults = array(
            'before' => '<p id="post-pagination">',
            'after' => '</p>',
            'text_before' => '',
            'text_after' => '',
            'next_or_number' => 'number',
            'nextpagelink' => __( 'Next page','purepress' ),
            'previouspagelink' => __( 'Previous page','purepress' ),
            'pagelink' => '%',
            'echo' => 1
    );

    $r = wp_parse_args( $args, $defaults );
    $r = apply_filters( 'wp_link_pages_args', $r );
    extract( $r, EXTR_SKIP );

    global $page, $numpages, $multipage, $more, $pagenow;

    $output = '';
    if ( $multipage ) {
        if ( 'number' == $next_or_number ) {
            $output .= $before;
            for ( $i = 1; $i < ( $numpages + 1 ); $i = $i + 1 ) {
                $j = str_replace( '%', $i, $pagelink );
                $output .= ' ';
                if ( $i != $page || ( ( ! $more ) && ( $page == 1 ) ) )
                    $output .= _wp_link_page( $i );
                else
                    $output .= '<span class="current-post-page">';

                $output .= $text_before . $j . $text_after;
                if ( $i != $page || ( ( ! $more ) && ( $page == 1 ) ) )
                    $output .= '</a>';
                else
                    $output .= '</span>';
            }
            $output .= $after;
        } else {
            if ( $more ) {
                $output .= $before;
                $i = $page - 1;
                if ( $i && $more ) {
                    $output .= _wp_link_page( $i );
                    $output .= $text_before . $previouspagelink . $text_after . '</a>';
                }
                $i = $page + 1;
                if ( $i <= $numpages && $more ) {
                    $output .= _wp_link_page( $i );
                    $output .= $text_before . $nextpagelink . $text_after . '</a>';
                }
                $output .= $after;
            }
        }
    }

    if ( $echo )
        echo $output;

    return $output;
}




function parse_shortcode_content( $content ) {

    /* Parse nested shortcodes and add formatting. */
    $content = trim( do_shortcode( shortcode_unautop( $content ) ) );

    /* Remove '' from the start of the string. */
    if ( substr( $content, 0, 4 ) == '' )
        $content = substr( $content, 4 );

    /* Remove '' from the end of the string. */
    if ( substr( $content, -3, 3 ) == '' )
        $content = substr( $content, 0, -3 );

    /* Remove any instances of ''. */


    return $content;
}

// move wpautop filter to AFTER shortcode is processed

remove_filter( 'the_content', 'wpautop' );
add_filter( 'the_content', 'wpautop' , 99);
add_filter( 'the_content', 'shortcode_unautop',100 );



function body_sidebar_class($classes) {
    $options = get_option('magnovus');
    $layout = $options['sidebarside'];
    $classes[] = 'sb'.$layout;
    return $classes;
}

add_filter('body_class', 'body_sidebar_class');

function body_scheme_class($classes) {
    $options = get_option('magnovus');
    $layout = $options['style'];
    if(is_singular()){
        global $post, $shortname;
         $enablebg = get_post_meta($post->ID, $shortname . "_enablebg_value", $single = true);
        if($enablebg == 'yes') {
            $layout = 'solidbg';
        }
    }
    $classes[] = 'style-'.$layout;
    return $classes;
}

add_filter('body_class', 'body_scheme_class');




function bm_displayArchives() {
    global $month, $wpdb, $wp_version;

    // a mysql query to get the list of distinct years and months that posts have been created
    $sql = 'SELECT
			DISTINCT YEAR(post_date) AS year,
			MONTH(post_date) AS month,
			count(ID) as posts
		FROM ' . $wpdb->posts . '
		WHERE post_status="publish"
			AND post_type="post"
			AND post_password=""
		GROUP BY YEAR(post_date),
			MONTH(post_date)
		ORDER BY post_date DESC';

    // use get_results to do a query directly on the database
    $archiveSummary = $wpdb->get_results($sql);

    // if there are any posts
    if ($archiveSummary) {
        // loop through the posts
        foreach ($archiveSummary as $date) {
            // reset the query variable
            unset ($bmWp);
            // create a new query variable for the current month and year combination
            $bmWp = new WP_Query('year=' . $date->year . '&monthnum=' . zeroise($date->month, 2) . '&posts_per_page=-1');

            // if there are any posts for that month display them
            if ($bmWp->have_posts()) {
                // display the archives heading
                $url = get_month_link($date->year, $date->month);
                $text = $month[zeroise($date->month, 2)] . ' ' . $date->year;

                echo get_archives_link($url, $text, '', '<h3>', '</h3>');
                echo '<ul class="postspermonth">';

                // display an unordered list of posts for the current month
                while ($bmWp->have_posts()) {
                    $bmWp->the_post();
                    echo '<li><a href="' . get_permalink($bmWp->post) . '" title="' . esc_html($text, 1) . '">' . wptexturize($bmWp->post->post_title) . '</a></li>';
                }

                echo '</ul>';
            }
        }
    }
}

//class Walker_Nav_Menu_Dropdown extends Walker_Nav_Menu {
//    function start_lvl($output, $depth) {
//        $indent = str_repeat("\t", $depth); // don't output children opening tag (`<ul>`)
//    }
//
//    function end_lvl($output, $depth) {
//        $indent = str_repeat("\t", $depth); // don't output children closing tag
//    }
//
//    function start_el($output, $item, $depth, $args) {
//        // add spacing to the title based on the depth
//        $item->title = str_repeat("&nbsp;", $depth * 4).$item->title;
//
//        parent::start_el($output, $item, $depth, $args);
//
//        // no point redefining this method too, we just replace the li tag...
//        $output = str_replace('<li', '<option value="' . $item->url . '"', $output);
//    }
//
//    function end_el($output, $item, $depth) {
//        $output .= "</option>\n"; // replace closing </li> with the option tag
//    }
//}

class Walker_Nav_Menu_Dropdown extends Walker_Nav_Menu{
	var $to_depth = -1;
    function start_lvl(&$output, $depth){
      $output .= '</option>';
    }

    function end_lvl(&$output, $depth){
      $indent = str_repeat("\t", $depth); // don't output children closing tag
    }

    function start_el(&$output, $item, $depth, $args){
		$indent = ( $depth ) ? str_repeat( "&nbsp;", $depth * 4 ) : '';
		$class_names = $value = '';
		$classes = empty( $item->classes ) ? array() : (array) $item->classes;
		$classes[] = 'menu-item-' . $item->ID;
		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item, $args ) );
		$class_names = ' class="' . esc_attr( $class_names ) . '"';
		$id = apply_filters( 'nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args );
		$id = strlen( $id ) ? ' id="' . esc_attr( $id ) . '"' : '';
		$value = ' value="'. $item->url .'"';
		$output .= '<option'.$id.$value.$class_names.'>';
		$item_output = $args->before;
		$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
		$output .= $indent.$item_output;
    }

    function end_el(&$output, $item, $depth){
		if(substr($output, -9) != '</option>')
      		$output .= "</option>"; // replace closing </li> with the option tag

    }
}

/****** Add Thumbnails in Manage Posts/Pages List ******/
if ( !function_exists('AddThumbColumn') && function_exists('add_theme_support') ) {
    // for post and page
    add_theme_support('post-thumbnails', array( 'post', 'page' ) );
    function AddThumbColumn($cols) {
        $cols['thumbnail'] = __('Thumbnail','purepress');
        return $cols;
    }
    function AddThumbValue($column_name, $post_id) {
        $width = (int) 60;
        $height = (int) 60;
        if ( 'thumbnail' == $column_name ) {
            // thumbnail of WP 2.9
            $thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
            // image from gallery
            $attachments = get_children( array('post_parent' => $post_id, 'post_type' => 'attachment', 'post_mime_type' => 'image') );
            if ($thumbnail_id)
                $thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
            elseif ($attachments) {
                foreach ( $attachments as $attachment_id => $attachment ) {
                    $thumb = wp_get_attachment_image( $attachment_id, array($width, $height), true );
                }
            }
            if ( isset($thumb) && $thumb ) {
                echo $thumb;
            } else {
                echo __('None','purepress');
            }
        }
    }
    // for posts
    add_filter( 'manage_posts_columns', 'AddThumbColumn' );
    add_action( 'manage_posts_custom_column', 'AddThumbValue', 10, 2 );
    // for pages
    add_filter( 'manage_pages_columns', 'AddThumbColumn' );
    add_action( 'manage_pages_custom_column', 'AddThumbValue', 10, 2 );
}


add_filter('user_contactmethods', 'my_user_contactmethods');

function my_user_contactmethods($user_contactmethods){

  $user_contactmethods['twitter'] = 'Twitter Username';
  $user_contactmethods['facebook'] = 'Facebook Username';
  $user_contactmethods['googleplus'] = 'Google Plus Profile ID';
  $user_contactmethods['flickr'] = 'Flickr';

  return $user_contactmethods;
}



function mag_display_authors($role, $number){
    global $post;
        			$my_users = new WP_User_Query(array(
                			'role' => $role,
                        		'number' => $number
                		));
                                $total_authors = $my_users->total_users;
                        	$authors = $my_users->get_results();
                                if (!empty($authors))	 { ?>
                        	<ul class="author-list">
                                <?php
                                        // loop through each author
                                        foreach($authors as $author){
                                                $author_info = get_userdata($author->ID);
                                                ?>
                                                <li>
                                                        <?php echo get_avatar( $author->ID, 90 ); ?>
                                                    <div class="author-data">
                                                        <h4><a href="<?php echo get_author_posts_url($author->ID); ?>"><?php echo $author_info->display_name; ?></a> - <?php echo count_user_posts( $author->ID ); ?> <?php _e(' posts', 'purepress'); ?></h4>
                                                        <?php if($author_info->description){ ?><p><?php echo $author_info->description; ?></p><?php } ?>
                                                        <?php $latest_post = new WP_Query( "author=$author->ID&post_count=1" );
                                                            if (!empty($latest_post->post)){ ?>
                                                                <p><strong><?php _e('Latest Article:', 'purepress'); ?></strong>
                                                                    <a href="<?php echo get_permalink($latest_post->post->ID) ?>">
                                                                            <?php echo get_the_title($latest_post->post->ID) ;?>
                                                                    </a>
                                                                    <br/><a class="moretag" href="<?php echo get_author_posts_url($author->ID); ?> "><?php _e('Read', 'purepress'); ?> <?php echo $author_info->display_name; ?> <?php _e('posts', 'purepress'); ?></a>
                                                                </p>
                                                        <?php } //endif ?>
                                                        
                                                    </div>
                                                </li>
                                                <?php
                                        }
                                ?>
                                </ul> <!-- .author-list -->
                                <?php }
}


function short_title($after = '', $length) {
	$mytitle = explode(' ', get_the_title(), $length);
	if (count($mytitle)>=$length) {
		array_pop($mytitle);
		$mytitle = implode(" ",$mytitle). $after;
	} else {
		$mytitle = implode(" ",$mytitle);
	}
	return $mytitle;
}

add_filter( 'the_category', 'add_nofollow_cat' );
function add_nofollow_cat( $text) {
    $strings = array('rel="category"', 'rel="category tag"', 'rel="whatever may need"');
    $text = str_replace('rel="category tag"', "", $text);
    return $text;
}
?>