<?php
/**
 * Custom metaboxes
 *
 * @package WordPress
 * @subpackage CookingPress
 * @since CookingPress 1.0
 */
global $shortname;


function get_sidebars() {
    $result = array();
    $result["Sidebar Area"] = "Sidebar Area";

    $pp_sidebars = get_option('pp_sidebars');
    if ($pp_sidebars) {
        foreach ($pp_sidebars as $k => $pp_sidebar) {
            $result[$pp_sidebar["name"]] = $pp_sidebar["name"];
        }
    }
    return $result;
}

$customsidebars = get_sidebars();

$purepress_meta_boxes =
        array(

        "whichpostsidebar" => array(
                "name" => $shortname."whichpostsidebar",
                "std" => "Yes",
                "title" => __("Which Post Sidebar?", 'purepress'),
                "type" => "select",
                "options" => $customsidebars,
                "description" => __("Choose which sidebar you want to show", 'purepress')
        ),
        "thumbnail" => array(
                "name" => $shortname."_thumbnail",
                "std" => "Yes",
                "title" => __("Display thumbnail in single view?", 'purepress'),
                "type" => "select",
                "options" => array(
                        'enable' => 'Show thumbnail',
                        'disable' => 'Hide thumbnail',
                ),
                "description" => __("If you have big image at the beginning of post, you might want to disable thumbnail for better appearance ", 'purepress')
        ),

        "enablebg" => array(
                "name" => $shortname."_enablebg",
                "std" => "no",
                "title" => __("Enable custom background options?", 'purepress'),
                "type" => "select",
                "options" => array(
                     'no' => 'Disable',
                     'yes' => 'Enable',
                       
                ),
                "description" => __("Main switch", 'purepress')
        ),
        "background" => array(
                "name" => $shortname."_bg_image",
                "std" => "",
                "title" => __("Show background?", 'purepress'),
                "type" => "upload",
                "description" => __("If you have big image at the beginning of post, you might want to disable thumbnail for better appearance ", 'purepress')
        ),
        "backstretch" => array(
                "name" => $shortname."_backstretch",
                "std" => "Disable",
                "title" => __("Use jquery plugin to stretch background?", 'purepress'),
                "type" => "select",
                "options" => array(
                        'yes' => 'Enable',
                        'no' => 'Disable',
                ),
                "description" => __("It works good for big images", 'purepress')
        ),
        "bgrepeat" => array(
                "name" => $shortname."_bgrepeat",
                "std" => "repeat",
                "title" => __("Background repeat?", 'purepress'),
                "type" => "select",
                "options" => array(
                        'repeat' => 'repeat',
                        'no-repeat' => 'no-repeat',
                        'repeat-x' => 'repeat-x',
                        'repeat-y' => 'repeat-y'
                )

        ),
        "bgpos" => array(
                "name" => $shortname."_bgpos",
                "std" => "top left",
                "title" => __("Background position?", 'purepress'),
                "type" => "select",
                "options" => array(
                        'top left' => 'top left',
                        'top center' => 'top center',
                        'top right' => 'top right',
                        'center center' => 'center center',
                        'bottom left' => 'bottom left',
                        'bottom center' => 'bottom center',
                        'bottom right' => 'bottom right'
                ),
                "description" => __("If you have big image at the beginning of post, you might want to disable thumbnail for better appearance ", 'purepress')
        ),

);



/*
 * Create metaboxes below post
*/

function new_meta_boxes() {
    global $post, $purepress_meta_boxes;

    foreach ($purepress_meta_boxes as $meta_box) {

        $meta_box_value = get_post_meta($post->ID, $meta_box['name'] . '_value', true);
        if ($meta_box_value == "")
            $meta_box_value = $meta_box['std'];

        switch ($meta_box['type']) {

            case 'select':

                echo'<input type="hidden" name="' . $meta_box['name'] . '_noncename" id="' . $meta_box['name'] . '_noncename" value="' . wp_create_nonce(plugin_basename(__FILE__)) . '" />';
                ?>
<div class="pp_select" id="<?php echo $meta_box['name']; ?>" >
    <label><?php echo $meta_box['title']; ?></label>

    <select style="width:240px;" name="<?php echo $meta_box['name'] . "_value"; ?>" id="<?php echo $meta_box['name']; ?>">

                        <?php foreach ($meta_box['options'] as $key => $option) { ?>

        <option <?php
                            if ($meta_box_value == $key) {
                                echo ' selected="selected"';
                            } elseif ($key == $meta_box['std']) {
                                echo ' selected="selected"';
                            }
                                ?> value="<?php echo $key; ?>"><?php echo $option; ?>
        </option><?php } ?>
    </select>
    <span class="desc"> <?php echo $meta_box['description']; ?></span>
</div>

                <?php
                break;
            case 'text':

                echo'<input type="hidden" name="' . $meta_box['name'] . '_noncename" id="' . $meta_box['name'] . '_noncename" value="' . wp_create_nonce(plugin_basename(__FILE__)) . '" />';
                ?>
<div class="pp_select" id="<?php echo $meta_box['name']; ?>" >
    <label><?php echo $meta_box['title']; ?></label>

    <input style="width:320px" name="<?php echo $meta_box['name']; ?>_value" id="<?php echo $meta_box['name']; ?>" type="text" value="<?php
                           if ($meta_box_value != "") {
                               echo $meta_box_value;
                           } else {
                               echo "";
                           }
                           ?>" />
    <span class="desc"> <?php echo $meta_box['description']; ?></span>
</div>

                <?php
                break;
            case 'upload':
                ?>
<div class="upload pp-upload" >
    <label><?php echo $meta_box['title']; ?></label>
    <input id="upload_image" class="upload_field" type="text" size="36" name="<?php echo $meta_box['name'] . '_value'; ?>" value="<?php
                    if ($meta_box_value != "") {
                        echo $meta_box_value;
                    }
                           ?>" />
                           <?php echo'<input type="hidden" name="' . $meta_box['name'] . '_noncename" id="' . $meta_box['name'] . '_noncename" value="' . wp_create_nonce(plugin_basename(__FILE__)) . '" />'; ?>
    <input id="upload_image_button" class="button" type="button" value="Upload Image"  />
    <p><span class="desc"> <?php echo $meta_box['description']; ?></span></p>

</div>
                <?php
                break;
        }
    }
}


function create_meta_box() {

    if (function_exists('add_meta_box')) {
        //normal points
        add_meta_box('new-meta-boxes', 'Post Settings', 'new_meta_boxes', 'page', 'normal', 'high');
        add_meta_box('new-meta-boxes', 'Post Settings', 'new_meta_boxes', 'post', 'normal', 'high');

    }
}

function save_postdata($post_id) {
    global $post, $purepress_meta_boxes;
    foreach ($purepress_meta_boxes as $meta_box) {
// Verify
        if (!wp_verify_nonce($_POST[$meta_box['name'] . '_noncename'], plugin_basename(__FILE__))) {
            return $post_id;
        }

        if ('page' == $_POST['post_type']) {
            if (!current_user_can('edit_page', $post_id))
                return $post_id;
        } else {
            if (!current_user_can('edit_post', $post_id))
                return $post_id;
        }

        if ($meta_box['type'] == "mapdata") {
            $data = array(
                    $_POST[$meta_box['name'] . '_value'],
                    $_POST[$meta_box['name'] . '_lat'],
                    $_POST[$meta_box['name'] . '_long']
            );
        } else if ($meta_box['type'] == "mappoints") {

            $data = array();
            foreach ($_POST[$meta_box['name'] . '_pointaddress'] as $k => $v) {
                $data[] = array(
                        'pointaddress' => $v,
                        'pointlat' => $_POST[$meta_box['name'] . '_pointlat'][$k],
                        'pointlong' => $_POST[$meta_box['name'] . '_pointlong'][$k],
                        'pointdata' => $_POST[$meta_box['name'] . '_pointdata'][$k],
                );
            }
        } else {
            $data = $_POST[$meta_box['name'] . '_value'];
        }
        if (get_post_meta($post_id, $meta_box['name'] . '_value') == "")
            add_post_meta($post_id, $meta_box['name'] . '_value', $data, true);

        elseif ($data != get_post_meta($post_id, $meta_box['name'] . '_value', true))
            update_post_meta($post_id, $meta_box['name'] . '_value', $data);

        elseif ($data == "")
            delete_post_meta($post_id, $meta_box['name'] . '_value', get_post_meta($post_id, $meta_box['name'] . '_value', true));
    }
}




add_action('admin_menu', 'create_meta_box');
add_action('save_post', 'save_postdata');
?>