<?php
/**
 * SHORTCODES
 */


function dropcap($atts, $content = null) {
    extract(shortcode_atts(array(
            "type" => ''
            ), $atts));
    return '<span class="dropcap '.$type.'">'.$content.'</span>';
}
add_shortcode('dropcap', 'dropcap');


function highlight($atts, $content = null) {
    extract(shortcode_atts(array(
            "type" => ''
            ), $atts));
    return '<span class="highlight'.$type.'">'.$content.'</span>';
}
add_shortcode('highlight', 'highlight');



function etdc_tab_group( $atts, $content ) {
    $GLOBALS['tab_count'] = 0;
    do_shortcode( $content );

    if( is_array( $GLOBALS['tabs'] ) ) {
        foreach( $GLOBALS['tabs'] as $tab ) {
            $tabs[] = '<li><a href="#">'.$tab['title'].'</a></li>';
            $panes[] = '<div class="tab">'.$tab['content'].'</div>';
        }
        $return = "\n".'<ul class="tabs">'.implode( "\n", $tabs ).'</ul>'."\n".'<div class="tabs-content">'.implode( "\n", $panes ).'</div>'."\n";
    }
    return $return;
}


function etdc_tab( $atts, $content ) {
    extract(shortcode_atts(array(
            'title' => 'Tab %d'
            ), $atts));

    $x = $GLOBALS['tab_count'];
    $GLOBALS['tabs'][$x] = array( 'title' => sprintf( $title, $GLOBALS['tab_count'] ), 'content' =>  do_shortcode( $content ) );
    $GLOBALS['tab_count']++;
}
add_shortcode( 'tabgroup', 'etdc_tab_group' );
add_shortcode( 'tab', 'etdc_tab' );


function accorgroup($atts,$content) {

    return '<div class="accordion">'.do_shortcode( $content ).'</div>';
}


function accordion( $atts, $content ) {
    extract(shortcode_atts(array(
            'title' => 'Tab %d'
            ), $atts));
    return '<h4><a href="#">'.$title.'</a></h4><div>'.do_shortcode( $content ).'</div>';
}
add_shortcode( 'accorgroup', 'accorgroup' );
add_shortcode( 'accordion', 'accordion' );


function purelist($atts, $content = null) {
    extract(shortcode_atts(array(
            "type" => ''
            ), $atts));
    return '<div class="purelist '.$type.'">'.$content.'</div>';
}
add_shortcode('list', 'purelist');


function box($atts, $content = null) {
    extract(shortcode_atts(array(
            "type" => ''
            ), $atts));
    return '<div class="box box-'.$type.'">
                <p> '.do_shortcode( $content ).'</p>
                    <a href="#" class="box-close">close</a>
            </div>';
}
add_shortcode('box', 'box');


function half($atts, $content = null) {
    return '
        <div class="half">'.do_shortcode( $content ).'</div>';
}

function halflast($atts, $content = null) {
    return '
        <div class="half-last">'.do_shortcode( $content ).'</div>
        <br style="clear: both;" />';
}

add_shortcode('half', 'half');
add_shortcode('halflast', 'halflast');


function onethree($atts, $content = null) {
    return '
        <div class="one-three">'.do_shortcode( $content ).'</div>';
}

function onethreelast($atts, $content = null) {
    return '
        <div class="one-three-last">'.do_shortcode( $content ).'</div>
        <br style="clear: both;" />';
}

add_shortcode('onethree', 'onethree');
add_shortcode('onethreelast', 'onethreelast');


function onefourth($atts, $content = null) {
    return '<div class="one-fourth">'.do_shortcode( $content ).'</div>';
}

function onefourthlast($atts, $content = null) {
    return '
        <div class="one-fourth-last">'.do_shortcode( $content ).'</div>
        <br style="clear: both;" />';
}

add_shortcode('onefourth', 'onefourth');
add_shortcode('onefourthlast', 'onefourthlast');


function onefifth($atts, $content = null) {
    return '
        <div class="one-fifth">'.do_shortcode( $content ).'</div>';
}

function onefifthlast($atts, $content = null) {
    return '
        <div class="one-fifth-last">'.do_shortcode( $content ).'</div>
        <br style="clear: both;" />';
}

add_shortcode('onefifth', 'onefifth');
add_shortcode('onefifthlast', 'onefifthlast');


function threefourth($atts, $content = null) {
    return '<div class="three-fourth">'.do_shortcode( $content ).'</div> <br style="clear: both;" />';
}

add_shortcode('threefourth', 'threefourth');


function threethree($atts, $content = null) {
    return '<div class="three-three">'.do_shortcode( $content ).'</div>
               <br style="clear: both;" />';
}
add_shortcode('threethree', 'threethree');


function twofifth($atts, $content = null) {
    return '<div class="two-fifth">'.do_shortcode( $content ).'</div>';
}

add_shortcode('twofifth', 'twofifth');


function threefifth($atts, $content = null) {
    return '
        <div class="three-fifth">'.do_shortcode( $content ).'</div>
           ';
}

add_shortcode('threefifth', 'threefifth');


function slider($atts, $content = null) {
    do_shortcode( $content );
    extract(shortcode_atts(array(
            "title" => ''
            ), $atts));
    return '<h4 class="toggle-trigger"><a href="#">'.$title.'</a></h4>
              <div class="toggle-container">
              <div class="block">'.do_shortcode( $content ).'</div></div>';
}
add_shortcode('slider', 'slider');


function quote_left($atts, $content = null) {
    return '
        <blockquote class="q-left">'.do_shortcode( $content ).'</blockquote>';
}
function quote_right($atts, $content = null) {
    return '
        <blockquote class="q-right">'.do_shortcode( $content ).'</blockquote>';
}
add_shortcode('quoteleft', 'quote_left');
add_shortcode('quoteright', 'quote_right');


function button($atts, $content = null) {
    extract(shortcode_atts(array(
            "url" => '',
            "color" => '',
            ), $atts));
    return '<a class="button '.$color.'" href="'.$url.'"><span>'.$content.'</span></a>';
}
add_shortcode('button', 'button');


function separator($atts) {
    extract(shortcode_atts(array(), $atts));
    return '<div class="hr"><span>'.__("Top", 'purepress').'</span></div>';
}
add_shortcode('separator', 'separator');



function pureslideshow($atts,$content = null) {
    extract(shortcode_atts(array(), $atts));
    
    $content =  parse_shortcode_content($content);
    $images =  explode(";", $content);
    $output .= '<div class="flexslider"> <ul class="slides"> ';
   
    foreach($images as $img){
        if(!empty($img)) $output .= '<li><img src="'.$img.'"/></li>';
    }
 $output .= '</div> </ul> ';
    return $output;
}
add_shortcode('pureslideshow', 'pureslideshow');

?>