<?php
add_action('widgets_init', 'purepress_load_widgets');

function purepress_load_widgets() {

    register_widget('purepress_flickr');
    register_widget('purepress_featured');
    register_widget('purepress_recent');
    register_widget('magnovus_feedburner_subscribe');
    register_widget('magnovus_ad_widget');
    register_widget('magnovus_twitter_widget');
    register_widget('magnovus_childpages_widget');

}

$mag_social_widgets_services = array(
    'aim' => 'Aim URL',
    'apple' => 'Apple URL',
    'behance' => 'Behance URL',
    'blogger' => 'Blogger URL',
    'coroflot' => 'Coroflot URL',
    'designmoo' => 'Designmoo',
    'deviantart' => 'DeviantArt',
    'dribbble' => 'Dribbble',
    'ember' => 'Ember',
    'evernote' => 'Evernote',
    'facebook' => 'Facebook',
    'forrst' => 'Forrst',
    'goowalla' => 'Gowalla',
    'grooveshark' => 'Grooveshark',
    'icq' => 'icq',
    'lastfm' => 'LastFM',
    'paypal' => 'PayPal',
    'skype' => 'Skype',
    'tumblr' => 'Tumblr',
    'vimeo' => 'Vimeo',
    'twitter' => 'Twitter',
    'rss' => 'RSS'
    );

//  Social Widget

class mag_social_widget extends WP_Widget {

    function mag_social_widget() {
        $widget_ops = array('classname' => 'social', 'description' => 'Links to social sites (only for footer)');
        $control_ops = array('width' => 300, 'height' => 350);

        $this->WP_Widget('mag_social_widget', 'CookingPress Social Widget', $widget_ops, $control_ops);
    }

    function widget($args, $instance) {
        extract($args, EXTR_SKIP);

        echo $before_widget;
        $title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);

        if (!empty($title)) {
            echo $before_title . $title . $after_title;
        };
        $text = $instance['text'];
        echo '<p>' . $text . '</p>';

        global $mag_social_widgets_services;
        echo '<ul id="socials">';
        foreach ((array) $mag_social_widgets_services as $service_id => $service_title) {
            if (!empty($instance['widget_social_' . $service_id]))
                echo '<li id="' . $service_id . '"><a href="' . $instance['widget_social_' . $service_id] . '">' . $service_title . '</a></li>';
        }
        echo '</ul>';

        echo $after_widget;
    }

    function update($new_instance, $old_instance) {
        global $mag_social_widgets_services;
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);

        $instance['text'] = $new_instance['text'];

        foreach ($mag_social_widgets_services as $service_id => $service_title) {
            $instance['widget_social_' . $service_id] = strip_tags($new_instance['widget_social_' . $service_id]);
        }
        return $instance;
    }

    function form($instance) {
        global $mag_social_widgets_services;
        $instance = wp_parse_args((array) $instance, array('title' => '', 'size' => '24'));
        $title = strip_tags($instance['title']);

        $text = $instance['text'];

        foreach ($mag_social_widgets_services as $service_id => $service_title):

            ${widget_social_ . $service_id} = strip_tags($instance['widget_social_' . $service_id]);

        endforeach;
        ?>

        <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'cloudfw'); ?>:
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></label></p>

            <p><label for="<?php echo $this->get_field_id('text'); ?>"><?php _e('Text', 'cloudfw'); ?>:
                <textarea class="widefat" id="<?php echo $this->get_field_id('text'); ?>" name="<?php echo $this->get_field_name('text'); ?>"  ><?php echo esc_attr($text); ?></textarea></label></p>

                <?php foreach ($mag_social_widgets_services as $service_id => $service_title): ?>
                <p><label for="<?php echo $this->get_field_id('widget_social_' . $service_id); ?>"><?php echo $service_title; ?>:
                    <input class="widefat" id="<?php echo $this->get_field_id('widget_social_' . $service_id); ?>" name="<?php echo $this->get_field_name('widget_social_' . $service_id); ?>" type="text" value="<?php echo esc_attr(${widget_social_ . $service_id}); ?>" /></label></p>
                <?php endforeach; ?>

                <?php
            }

        }

        class purepress_logged_user extends WP_Widget {

            function purepress_logged_user() {
                $widget_ops = array('classname' => 'logged', 'description' => 'Logged user');
                $control_ops = array('width' => 300, 'height' => 350);
                $this->WP_Widget('purepress_logged_user', 'CookingPress Logged User Widget', $widget_ops, $control_ops);
            }

            function widget($args, $instance) {
                extract($args, EXTR_SKIP);


                echo $before_widget;
                $title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);
                global $post;
                if (is_user_logged_in()) {
                    if (!empty($title)) {
                        echo $before_title . $title . $after_title;
                    };


                    global $current_user;
                    get_currentuserinfo();

                    $output = "<div class=\"author-bio-box\">" . get_avatar($current_user->ID, 64) . "
                    You're logged as <a href=" . get_author_posts_url($current_user->ID) . " class=\"author-name\">" . $current_user->display_name . "</a>";
                    $output .= ' <a href="' . wp_logout_url() . '" title="Logout">Logout</a>';


                    $posts_query = new WP_Query(
                        array(
                            'author' => $current_user->ID,
                            'post_status' => array('publish', 'pending', 'draft', 'future'),
                            'posts_per_page' => '5'
                            )
                        );
                    if ($posts_query->have_posts()):
                        $output .= "<br/>Your latests posts:<ul>";
                    while ($posts_query->have_posts()) : $posts_query->the_post();
                    $output .= "<li> <a class=\"link\" href=" . get_permalink() . ">" . get_the_title() . " <span>(" . get_post_status() . ")<span></a></li>";
                    endwhile;
                    $output .= "</ul>";
                    endif;


                    $output .= "</div>";
                    echo $output;
                    echo $after_widget;
                }
            }

            function update($new_instance, $old_instance) {
                $instance = $old_instance;
                $instance['title'] = strip_tags($new_instance['title']);

                return $instance;
            }

            function form($instance) {
                $instance = wp_parse_args((array) $instance, array('title' => ''));
                $title = strip_tags($instance['title']);
                $showposts = strip_tags($instance['showposts']);
                ?>

                <p><label for="<?php echo $this->get_field_id('title'); ?>">Title:
                    <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></label></p>

                    <?php
                }

            }

// Featured post slider

            class purepress_featured extends WP_Widget {

                function purepress_featured() {
                    $widget_ops = array('classname' => 'popular', 'description' => 'Magnovus for popular posts');
                    $control_ops = array('width' => 300);
                    $this->WP_Widget('purepress_featured', 'Magnovus popular posts', $widget_ops, $control_ops);
                }

                function widget($args, $instance) {
                    extract($args, EXTR_SKIP);
                    echo $before_widget;
                    $title = $instance['title'];
                    $title2 = $instance['title2'];
                    $count = $instance['count'];
                    $category = $instance['category'];
                    $orderby = $instance['orderby'];
                    if (!empty($title)) {
                        echo $before_title . $title2 . '<a title="'.$title.'" href="#" class="ttip">'. $title .'</a>' . $after_title;
                        echo '<span id="wi_po_text1">'.$title.'</span><span id="wi_po_text2">'. $title2 .'</span>';
                    } else {
                        echo $before_title . 'Popular posts <a title="Recent posts" href="#" class="ttip">Recent posts</a>' . $after_title;
                        echo '<span id="wi_po_text1">Recent posts</span><span id="wi_po_text2">Popular posts</span>';
                    };
                    wp_reset_query();
                    rewind_posts();
                    query_posts(
                        array(
                            'posts_per_page' => $count,
                            'post_status' => 'publish',
                            'gdsr_sort' => 'rating',
                            'nopaging' => 0,
                            'post__not_in' => get_option('sticky_posts'),
                            'gdsr_order' => 'desc'
                            )
                        );
                    if (function_exists('wp_gdsr_rating_article')) { }
                        $postnum = 0;
                    echo '<div id="popular-container"><ul id="popular-articles">';
                    if (have_posts()) :while (have_posts()) : the_post();

                    $postnum++;
                    $class = ( $postnum % 2 ) ? ' even' : ' odd';
                    ?>
                    <li class="<?php echo $class; ?>">
                        <h4><a class="link" href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>
                        <a class="author-link" href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php the_author_meta('display_name'); ?></a>
                        <?php printf('<a href="%1$s" class="published-time" title="%2$s" rel="bookmark">%3$s</a>', get_permalink(), esc_attr(get_the_time()), get_the_date()); ?>
                        <a class="comments-link" href="<?php comments_link(); ?>"><?php echo get_comments_number(); ?></a>
                    </li>
                    <?php
                    endwhile;
                    endif;
                    wp_reset_query();
                    rewind_posts();
                    echo '</ul><ul id="recent-articles">';
                    $recent_posts = new WP_Query(
                        array(
                            'posts_per_page' => $count,
                            'post_status' => 'publish',
                            'nopaging' => 0,
                            'post__not_in' => get_option('sticky_posts')
                            )
                        );
                    $postnum = 0;
                    if ($recent_posts->have_posts()) :while ($recent_posts->have_posts()) : $recent_posts->the_post();
                    $postnum++;
                    $class = ( $postnum % 2 ) ? ' even' : ' odd';
                    ?>
                    <li class="<?php echo $class; ?>">
                        <h4>  <a class="link" href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>

                        <a class="author-link" href="<?php echo get_author_posts_url(get_the_author_meta('ID' )); ?>"><?php the_author_meta('display_name'); ?></a>
                        <?php printf('<a href="%1$s" class="published-time" title="%2$s" rel="bookmark">%3$s</a>', get_permalink(), esc_attr(get_the_time()), get_the_date()); ?>
                        <a class="comments-link" href="<?php comments_link(); ?>"><?php echo get_comments_number(); ?></a>
                    </li>
                    <?php
                    endwhile;
                    endif;
                    wp_reset_query();
                    rewind_posts();
                    echo '</ul></div>';
                    echo $after_widget;
                }

                function update($new_instance, $old_instance) {
                    $instance = $old_instance;
                    $instance['title'] = strip_tags($new_instance['title']);
                    $instance['title2'] = $new_instance['title2'];
                    $instance['count'] = $new_instance['count'];

                    return $instance;
                }

                function form($instance) {
                    $instance = wp_parse_args((array) $instance, array('title' => ''));
                    $title = strip_tags($instance['title']);
                    $title2 = $instance['title2'];
                    $count = $instance['count'];
                    ?>


                    <p>
                        <label for="<?php echo $this->get_field_id('title'); ?>">Recent posts title:
                            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
                        </label>
                    </p>
                    <p>
                        <label for="<?php echo $this->get_field_id('title2'); ?>">Popular posts title:
                            <input class="widefat" id="<?php echo $this->get_field_id('title2'); ?>" name="<?php echo $this->get_field_name('title2'); ?>" type="text" value="<?php echo esc_attr($title2); ?>" />
                        </label>
                    </p>
                    <p>
                        <label for="<?php echo $this->get_field_id('count'); ?>">How many posts? (type only number):
                            <input class="widefat" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" type="text" value="<?php echo esc_attr($count); ?>" />
                        </label>
                    </p>

                    <?php
                }

            }
            class purepress_recent extends WP_Widget {

                function purepress_recent() {
                    $widget_ops = array('classname' => 'popular', 'description' => 'Magnovus widget for recent posts');
                    $control_ops = array('width' => 300);
                    $this->WP_Widget('purepress_recent', 'Magnovus recent posts', $widget_ops, $control_ops);
                }

                function widget($args, $instance) {
                    extract($args, EXTR_SKIP);
                    echo $before_widget;
                    $title = $instance['title'];
                    $count = $instance['count'];

                    if (!empty($title)) {
                        echo $before_title . $title .  $after_title;

                    } else {
                        echo $before_title . 'Recent posts' . $after_title;
                    };
                    wp_reset_query();
                    rewind_posts();


                    $postnum = 0;
                    echo '<div id="popular-container">';
                    echo '<ul id="recent-articles">';
                    $recent_posts = new WP_Query(
                        array(
                            'posts_per_page' => $count,
                            'post_status' => 'publish',
                            'nopaging' => 0,
                            'post__not_in' => get_option('sticky_posts')
                            )
                        );
                    $postnum = 0;
                    if ($recent_posts->have_posts()) :while ($recent_posts->have_posts()) : $recent_posts->the_post();
                    $postnum++;
                    $class = ( $postnum % 2 ) ? ' even' : ' odd';
                    ?>
                    <li class="<?php echo $class; ?>">
                        <h4>  <a class="link" href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>

                        <a class="author-link" href="<?php echo get_author_posts_url(get_the_author_meta('ID' )); ?>"><?php the_author_meta('display_name'); ?></a>
                        <?php printf('<a href="%1$s" class="published-time" title="%2$s" rel="bookmark">%3$s</a>', get_permalink(), esc_attr(get_the_time()), get_the_date()); ?>
                        <a class="comments-link" href="<?php comments_link(); ?>"><?php echo get_comments_number(); ?></a>
                    </li>
                    <?php
                    endwhile;
                    endif;
                    wp_reset_query();
                    rewind_posts();
                    echo '</ul></div>';
                    echo $after_widget;
                }

                function update($new_instance, $old_instance) {
                    $instance = $old_instance;
                    $instance['title'] = strip_tags($new_instance['title']);

                    $instance['count'] = $new_instance['count'];

                    return $instance;
                }

                function form($instance) {
                    $instance = wp_parse_args((array) $instance, array('title' => ''));
                    $title = strip_tags($instance['title']);
                    $title2 = $instance['title2'];
                    $count = $instance['count'];
                    ?>


                    <p>
                        <label for="<?php echo $this->get_field_id('title'); ?>">Title:
                            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
                        </label>
                    </p>
                    <p>
                        <label for="<?php echo $this->get_field_id('count'); ?>">How many posts? (type only number):
                            <input class="widefat" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" type="text" value="<?php echo esc_attr($count); ?>" />
                        </label>
                    </p>

                    <?php
                }

            }

            class purepress_popular extends WP_Widget {

                function purepress_popular() {
                    $widget_ops = array('classname' => 'cookingpress-popular', 'description' => 'Widget for popular posts');
                    $control_ops = array('width' => 300);
                    $this->WP_Widget('purepress_popular', 'CookingPress Popular Posts', $widget_ops, $control_ops);
                }

                function widget($args, $instance) {
                    extract($args, EXTR_SKIP);
                    echo $before_widget;
                    $title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);
                    $count = $instance['count'];
                    $category = $instance['category'];

                    if (!empty($title)) {
                        echo $before_title . $title . $after_title;
                    };

                    if ($category == 'all') {

                        $posts = new WP_Query(
                            array(
                                'showposts' => $count,
                                'r_sortby' => 'most_rated',
                                'r_orderby' => 'DESC',
                                'nopaging' => 0,
                                'post_status' => 'publish')
                            );
                    } else {
                        $posts = new WP_Query(
                            array(
                                'cat' => $category,
                                'showposts' => $count,
                                'r_sortby' => 'most_rated',
                                'r_orderby' => 'DESC',
                                'nopaging' => 0,
                                'post_status' => 'publish',
                                )
                            );
                    }
                    echo '<ul>';
                    if ($posts->have_posts()) :while ($posts->have_posts()) : $posts->the_post();
                    $post_title = get_the_title();
                    global $post;
                    ?>

                    <li>
                        <?php
                        $first_img = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID));
                        $image = vt_resize('', $first_img[0], 50, 50, true);
                        if ($first_img)
                            echo '<a href="' . get_permalink() . '"><img src="' . $image[url] . '" width="' . $image[width] . '" height="' . $image[height] . '"/></a>';
                        ?>
                        <a class="link" href="<?php the_permalink() ?>"><?php the_title(); ?></a>
                        <span>

                            <?php
                            the_time(get_option('date_format'));
                            if ($first_img)
                                comments_number(
                                    __(' No Comments.', 'purepress'), __(' 1 Comment ', 'purepress'), __(' Comments (%)', 'purepress'));
                                    ?>
                                </span>
                            </li>
                            <?php
                            endwhile;
                            endif;
                            wp_reset_query();
                            echo '</ul>';
                            echo $after_widget;
                        }

                        function update($new_instance, $old_instance) {
                            $instance = $old_instance;
                            $instance['title'] = strip_tags($new_instance['title']);
                            $instance['count'] = $new_instance['count'];
                            $instance['category'] = $new_instance['category'];

                            return $instance;
                        }

                        function form($instance) {
                            $instance = wp_parse_args((array) $instance, array('title' => ''));
                            $title = strip_tags($instance['title']);
                            $count = $instance['count'];
                            $category = $instance['category'];
                            $orderby = $instance['orderby'];
                            ?>


                            <p><label for="<?php echo $this->get_field_id('title'); ?>">Title:
                                <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></label></p>
                                <p><label for="<?php echo $this->get_field_id('count'); ?>">How many posts? (type only number):
                                    <input class="widefat" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" type="text" value="<?php echo esc_attr($count); ?>" /></label></p>

                                    <p>
                                        <label for="<?php echo $this->get_field_id('category'); ?>">Choose category:
                                            <select id="<?php echo $this->get_field_id('category'); ?>" name="<?php echo $this->get_field_name('category'); ?>">

                                                <?php
                                                $categories = get_categories();
                                                $cats = get_cats($categories);
                                                foreach ($cats as $cat => $catnr) {
                                                    ?>
                                                    <option <?php if ($category == $cat)
                                                    echo 'selected="selected"'; ?> value="<?php echo $cat; ?>"><?php echo $catnr; ?></option>
                                                    <?php } ?>
                                                    <option <?php if ($category == 'all')
                                                    echo ' selected="selected"'; ?> value="all">All categories</option>
                                                </select>
                                            </label>
                                        </p>
                                        <?php
                                    }

                                }

                                class purepress_flickr extends WP_Widget {

                                    function purepress_flickr() {
                                        $widget_ops = array('classname' => 'magnovus-flickr', 'description' => 'Widget for popular posts');
                                        $control_ops = array('width' => 300);
                                        $this->WP_Widget('purepress_flickr', 'Magnovus Flickr', $widget_ops, $control_ops);
                                    }

                                    function widget($args, $instance) {
                                        extract($args, EXTR_SKIP);
                                        echo $before_widget;
                                        $title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);
                                        $count = $instance['count'];
                                        $category = $instance['category'];

                                        if (!empty($title)) {
                                            echo '<h3>'.$title.'</h3>' ;
                                        };

                                        if ($instance['type'] == "user") { $rss_url = 'http://api.flickr.com/services/feeds/photos_public.gne?id=' . $instance['id'] . '&tags=' . $instance['tags'] . '&format=rss_200'; }
                                        elseif ($instance['type'] == "favorite") { $rss_url = 'http://api.flickr.com/services/feeds/photos_faves.gne?id=' . $instance['id'] . '&format=rss_200'; }
                                        elseif ($instance['type'] == "set") { $rss_url = 'http://api.flickr.com/services/feeds/photoset.gne?set=' . $instance['set'] . '&nsid=' . $instance['id'] . '&format=rss_200'; }
                                        elseif ($instance['type'] == "group") { $rss_url = 'http://api.flickr.com/services/feeds/groups_pool.gne?id=' . $instance['id'] . '&format=rss_200'; }
                                        elseif ($instance['type'] == "public" || $instance['type'] == "community") { $rss_url = 'http://api.flickr.com/services/feeds/photos_public.gne?tags=' . $instance['tags'] . '&format=rss_200'; }
                                        else {
                                            print '<strong>No "type" parameter has been setup. Check your flickr widget settings.</strong>';

                                        }

//        $rss_url = 'http://api.flickr.com/services/feeds/photos_public.gne?tags=flower%2CBerkeley&format=rss2';
                                        if (!function_exists('MagpieRSS')) {
            // Check if another plugin is using RSS, may not work
                                            include_once (ABSPATH . WPINC . '/rss.php');
                                            error_reporting(E_ERROR);
                                        }
                                        $rss = fetch_rss($rss_url);
                                        $items = array_slice($rss->items, 0, $instance['count']);

                                        $print_flickr = '<ul>';
                                        foreach ($items as $item) {
                                            if (!preg_match('<img src="([^"]*)" [^/]*/>', $item['description'], $imgUrlMatches)) {
                                                continue;
                                            }
                                            $baseurl = str_replace("_m.jpg", "", $imgUrlMatches[1]);
                                            $thumbnails = array(
                                                'small' => $baseurl . "_m.jpg",
                                                'square' => $baseurl . "_s.jpg",
                                                'thumbnail' => $baseurl . "_t.jpg",
                                                'medium' => $baseurl . ".jpg",
                                                'large' => $baseurl . "_b.jpg"
                                                );

//            echo "<pre>"; print_r($item); echo "</pre>";
            #check if there is an image title (for html validation purposes)
                                            if($item['title'] !== "")
                                                $title = htmlspecialchars(stripslashes($item['title']));
                                            $url = $item['link'];
                                            $print_flickr.= '<li>';
                                            $print_flickr.= '<img src="'.$thumbnails['square'].'" />';
                                            $print_flickr.= ' <a href="'.$thumbnails['large'].'" class="zoom prettyPhoto">zoom</a>
                                            <a href="'.$url.'" class="link">link</a>';
                                            $print_flickr.= '</li>';

                                        }
                                        echo $print_flickr.'</ul></div>';
//        echo $after_widget;
                                    }

                                    function update($new_instance, $old_instance) {
                                        $instance = $old_instance;
                                        $instance['title'] = strip_tags($new_instance['title']);
                                        $instance['count'] = $new_instance['count'];
                                        $instance['type'] = $new_instance['type'];
                                        $instance['id'] = $new_instance['id'];
                                        $instance['set'] = $new_instance['set'];
                                        $instance['tas'] = $new_instance['tags'];


                                        return $instance;
                                    }

                                    function form($instance) {
                                        $instance = wp_parse_args((array) $instance, array('title' => ''));
                                        $title = strip_tags($instance['title']);
                                        $count = $instance['count'];
                                        $type = $instance['type'];
                                        $id = $instance['id'];
                                        $set = $instance['set'];
                                        $tags = $instance['tags'];

                                        ?>


                                        <p>
                                            <label for="<?php echo $this->get_field_id('title'); ?>">Title:
                                                <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
                                            </label>
                                        </p>
                                        <p>
                                            <label for="<?php echo $this->get_field_id('type'); ?>">Display photos from</label>
                                            <select id="<?php echo $this->get_field_id('type'); ?>" name="<?php echo $this->get_field_name('type'); ?>" id="type">
                                                <option <?php if($instance['type'] == 'user') { echo 'selected'; } ?> value="user">user</option>
                                                <option <?php if($instance['type'] == 'set') { echo 'selected'; } ?> value="set">set</option>
                                                <option <?php if($instance['type'] == 'favorite') { echo 'selected'; } ?> value="favorite">favorite</option>
                                                <option <?php if($instance['type'] == 'group') { echo 'selected'; } ?> value="group">group</option>
                                                <option <?php if($instance['type'] == 'public') { echo 'selected'; } ?> value="public">community</option>
                                            </select>
                                        </p>


                                        <p>
                                            <label for="<?php echo $this->get_field_id('id'); ?>">User or Group ID (<a href="http://idgettr.com/">find ID</a>)</label>
                                            <input  id="<?php echo $this->get_field_id('id'); ?>" name="<?php echo $this->get_field_name('id'); ?>" type="text" value="<?php echo $id; ?>" size="20" />

                                        </p>

                                        <p>
                                            <label for="<?php echo $this->get_field_id('set'); ?>">Set ID (<a href="http://idgettr.com/">find your ID</a> )</label>
                                            <input  id="<?php echo $this->get_field_id('set'); ?>" name="<?php echo $this->get_field_name('set'); ?>"  type="text"  value="<?php echo $set; ?>" size="40" />

                                        </p>

                                        <p>
                                            <label for="<?php echo $this->get_field_id('tags'); ?>">Tags (optional) <small>Comma separated, no spaces</small> </label>
                                            <input  id="<?php echo $this->get_field_id('tags'); ?>" name="<?php echo $this->get_field_name('tags'); ?>"  type="text" value="<?php echo $tags; ?>" size="40" />

                                        </p>

                                        <p>
                                            <label for="<?php echo $this->get_field_id('count'); ?>">How many photos? 
                                                <select class="widefat" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" >
                                                    <?php for ($i=1; $i<=20; $i++) { ?>
                                                    <option <?php if ($count == $i) { echo 'selected'; } ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                    <?php } ?>
                                                </select>
                                            </label>
                                        </p>

                                        <?php
                                    }

                                }



                                class magnovus_ad_widget extends WP_Widget {

                                    function magnovus_ad_widget() {
                                        $widget_ops = array('classname' => 'ads', 'description' => 'Place for advert');
                                        $control_ops = array('width' => 300, 'height' => 350);

                                        $this->WP_Widget('mag_social_widget', 'Magnouvus Ads Widget', $widget_ops, $control_ops);
                                    }

                                    function widget($args, $instance) {
                                        extract($args, EXTR_SKIP);
                                        echo $before_widget;
                                        $text = $instance['text'];
                                        echo  $text.'</div>' ;
                                    }

                                    function update($new_instance, $old_instance) {
                                        $instance = $old_instance;
                                        $instance['text'] = $new_instance['text'];
                                        return $instance;
                                    }

                                    function form($instance) {
                                        global $mag_social_widgets_services;
                                        $instance = wp_parse_args((array) $instance, array('title' => '', 'size' => '24'));
                                        $text = $instance['text'];
                                        ?>

                                        <p>
                                            <label for="<?php echo $this->get_field_id('text'); ?>"><?php _e('Text', 'cloudfw'); ?>:
                                                <textarea class="widefat" id="<?php echo $this->get_field_id('text'); ?>" name="<?php echo $this->get_field_name('text'); ?>"  ><?php echo esc_attr($text); ?></textarea></label>
                                            </p>

                                            <?php
                                        }

                                    }

                                    class magnovus_twitter_widget extends WP_Widget {

                                        function magnovus_twitter_widget() {
                                            $widget_ops = array('classname' => 'mag-twitter', 'description' => 'Place for Twitter widget');
                                            $control_ops = array('width' => 300, 'height' => 350);

                                            $this->WP_Widget('magnovus_twitter', 'Magnouvus Twitter Widget', $widget_ops, $control_ops);
                                        }

                                        function widget($args, $instance) {
                                            extract($args, EXTR_SKIP);

                                            $title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);
                                            $text = empty($instance['text']) ? '' : apply_filters('widget_title', $instance['text']);
                                            $user = empty($instance['user']) ? '' : apply_filters('widget_title', $instance['user']);
                                            $limit = empty($instance['limit']) ? '' : apply_filters('widget_title', $instance['limit']);

                                            echo $before_widget;    
                                            echo $before_title . $title . '<a class="ttipw ani" title="'.__("Follow us", 'purepress').'" href="http://twitter.com/#!/'. $user .'">twitter</a>'. $after_title;
                                            echo '<div id="tweets"></div>';  
                                            echo  '<script type="text/javascript"> 
                                            jQuery(function(){ 
                                                jQuery("#tweets").tweetable({ 
                                                    username: "' . $user . '", 
                                                    limit: ' . $limit . ', 
                                                    replies: true, 
                                                    position: "append"}); 
}); 
</script>'; 
echo $text;
echo $after_widget;
}

function update($new_instance, $old_instance) {
    $instance = $old_instance;
    $instance['title'] = $new_instance['title'];
    $instance['text'] = $new_instance['text'];
    $instance['user'] = $new_instance['user'];
    $instance['limit'] = $new_instance['limit'];
    return $instance;
}

function form($instance) {
    global $mag_social_widgets_services;
    $instance = wp_parse_args((array) $instance, array('title' => ''));
    $title = strip_tags($instance['title']);
    $text = $instance['text'];
    $user = $instance['user'];
    $limit = $instance['limit'];
    ?>
    <p>
        <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'cloudfw'); ?>:
            <input  id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" size="20" /></label>
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('text'); ?>"><?php _e('Text', 'cloudfw'); ?>:
                <textarea class="widefat" id="<?php echo $this->get_field_id('text'); ?>" name="<?php echo $this->get_field_name('text'); ?>"  ><?php echo esc_attr($text); ?></textarea></label>
            </p>
            <p>
                <label for="<?php echo $this->get_field_id('user'); ?>"><?php _e('User', 'cloudfw'); ?>:
                    <input  id="<?php echo $this->get_field_id('user'); ?>" name="<?php echo $this->get_field_name('user'); ?>" type="text" value="<?php echo $user; ?>" size="20" /></label>
                </p>
                <p>
                    <label for="<?php echo $this->get_field_id('limit'); ?>"><?php _e('Limit (number of tweets)', 'cloudfw'); ?>:
                        <input  id="<?php echo $this->get_field_id('limit'); ?>" name="<?php echo $this->get_field_name('limit'); ?>" type="text" value="<?php echo $limit; ?>" size="20" /></label>
                    </p>
                    <?php
                }

            }

            class magnovus_feedburner_subscribe extends WP_Widget {

                function magnovus_feedburner_subscribe() {
                    $widget_ops = array('classname' => 'magnovus_feedburner_subscribe', 'description' => 'Subscribe to feedburner via mail');
                    $control_ops = array('width' => 300, 'height' => 350);

                    $this->WP_Widget('magnovus_feedburner_subscribe', 'Magnouvus Feedburner Widget', $widget_ops, $control_ops);
                }

                function widget($args, $instance) {
                    extract($args, EXTR_SKIP);

                    $title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);
                    $text = $instance['text'];
                    $feedtitle = $instance['feedtitle'];

                    echo $before_widget;    
                    echo $before_title . $title .  $after_title;
                    ?>
                    <form class="mag_feedburner" action="http://feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=<?php echo $feedtitle; ?>', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true">
                      <p>
                        <input type="text" id="email" value="<?php _e('Your email here', 'purepress'); ?>" onfocus="if(this.value=='<?php _e('Your email here', 'purepress'); ?>')this.value='';" onblur="if(this.value=='')this.value='<?php _e('Your email here', 'purepress'); ?>';"  name="email">
                        <input type="hidden" value="<?php echo $feedtitle; ?>" name="uri"/>
                        <input type="hidden" name="loc" value="en_US"/>

                        <input type="submit" id="submit" name="imageField" value="<?php _e('Submit', 'purepress'); ?>" alt="Submit">

                    </p>
                </form>
                <?php echo $text;
                echo $after_widget;
            }

            function update($new_instance, $old_instance) {
                $instance = $old_instance;
                $instance['title'] = $new_instance['title'];
                $instance['text'] = $new_instance['text'];
                $instance['feedtitle'] = $new_instance['feedtitle'];

                return $instance;
            }

            function form($instance) {

                $instance = wp_parse_args((array) $instance, array('title' => ''));
                $title = strip_tags($instance['title']);
                $text = $instance['text'];
                $feedtitle = $instance['feedtitle'];

                ?>
                <p>
                    <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'purepress'); ?>:
                        <input  id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" size="20" /></label>
                    </p>
                    <p>
                        <label for="<?php echo $this->get_field_id('text'); ?>"><?php _e('Text', 'purepress'); ?>:
                            <textarea class="widefat" id="<?php echo $this->get_field_id('text'); ?>" name="<?php echo $this->get_field_name('text'); ?>"  ><?php echo esc_attr($text); ?></textarea></label>
                        </p>
                        <p>
                            <label for="<?php echo $this->get_field_id('feedtitle'); ?>"><?php _e('Feed title', 'purepress'); ?>:
                                <input  id="<?php echo $this->get_field_id('feedtitle'); ?>" name="<?php echo $this->get_field_name('feedtitle'); ?>" type="text" value="<?php echo $feedtitle; ?>" size="20" /></label>
                            </p>

                            <?php
                        }

                    }


                    class magnovus_childpages_widget extends WP_Widget {

                        function magnovus_childpages_widget() {
                            $widget_ops = array('classname' => 'mag-childs', 'description' => 'Display child pages of current page (if they exists)');
                            $control_ops = array('width' => 300, 'height' => 350);
                            $this->WP_Widget('magnovus_childpages_widget', 'Magnovus Child Pages Widget', $widget_ops, $control_ops);
                        }

                        function widget($args, $instance) {
                            extract($args, EXTR_SKIP);

                            $title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);
              global $post;     // poza loopem
              if ( is_page() ) {
                echo $before_widget;
                echo $before_title . $title . $after_title;


                if (  $post->post_parent ) {
                // aktualna strona jest podstrona ?>
                <ul>
                    <?php //listuj podstony które są dziećmi rodzica aktualnej strony ( znaczy się rodzeństwo:D)
                    wp_list_pages(array(
                        'child_of' => $post->post_parent,
                        'title_li' => ''
                        )); ?>
                    </ul>
                    <?php  } else {
                //aktualna strona nie jest podstrona, jest stroną pierwszego poziomu, wiec listujemy jej dzieci ?>
                <ul>
                    <?php  wp_list_pages('title_li=&child_of='.$post->ID); ?>
                </ul>
                <?php }


                echo $after_widget;
            }
        }

        function update($new_instance, $old_instance) {
            $instance = $old_instance;
            $instance['title'] = $new_instance['title'];

            return $instance;
        }

        function form($instance) {
            global $mag_social_widgets_services;
            $instance = wp_parse_args((array) $instance, array('title' => ''));
            $title = strip_tags($instance['title']);

            ?>
            <p>
                <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'cloudfw'); ?>:
                    <input  id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" size="20" /></label>
                </p>

                <?php
            }

        }

        ?>