<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the id=main div and all content
 * after.  Calls sidebar-footer.php for bottom widgets.
 *
 * @package WordPress
 * @subpackage purepress
 * @since purepress 1.0
 */
$options = get_option('magnovus');
?>
<!--</section> #main -->

<footer role="contentinfo" class="container footer">
    <div class="row widfoot clearfix">
        <div id="footer-left-column" class="fourcol">
            <?php if (!function_exists('dynamic_sidebar') || !dynamic_sidebar('Footer Left Column')) : ?>
            <?php endif; ?>
        </div>
        <div id="footer-center-column" class="fourcol">
            <?php if (!function_exists('dynamic_sidebar') || !dynamic_sidebar('Footer Center Column')) : ?>
            <?php endif; ?>
        </div>
        <div id="footer-right-column" class="fourcol last">
            <?php if (!function_exists('dynamic_sidebar') || !dynamic_sidebar('Footer Right Column')) : ?>
            <?php endif; ?>
        </div>

    </div>
    <div id="footer-bottom" class="row">
        <span> <?php echo $options['footertext']; ?></span>
        <a href="#top" id="gototop"><?php _e('رفتن به بالا &uarr;', 'purepress'); ?></a>
        <p> بهینه سازی توسط : <a href="http://bigtheme.ir"> بیگ تم</a> 
    </div>

</footer><!-- footer -->

<div id="signin-modal-box">
    <h3><?php _e('ورود به حساب کاربری', 'purepress'); ?></h3>
    <div id="login-box">
          <?php wp_login_form(); ?>
    </div>
    <div id="login-box-remember">
       <?php _e('رمز عبور خود را ', 'purepress'); ?><a href="<?php echo wp_lostpassword_url(); ?>"><?php _e('فراموش کرده اید', 'purepress'); ?></a> ?
    </div>
</div>

<div id="signup-modal-box">
    <h3><?php _e('ثبت نام در سایت!', 'purepress'); ?></h3>
    <div id="register-box">

            <form method="post" action="<?php echo site_url('wp-login.php?action=register', 'login_post') ?>" class="wp-user-form">
                    <p class="login-username">
                            <label for="user_login"><?php _e('نام کاربری','purepress'); ?>: </label>
                            <input type="text" name="user_login" value="<?php echo esc_attr(stripslashes($user_login)); ?>" size="20" id="user_login" tabindex="101" />
                    </p>
                    <p class="login-password">
                            <label for="user_email"><?php _e('ایمیل','purepress'); ?>: </label>
                            <input type="text" name="user_email" value="<?php echo esc_attr(stripslashes($user_email)); ?>" size="25" id="user_email" tabindex="102" />
                    </p>
                    <p class="login_fields">
                            <?php do_action('register_form'); ?>
                            <input type="submit" name="user-submit" value="<?php _e('عضویت!','purepress'); ?>" class="user-submit" tabindex="103" />
                            <?php $register = $_GET['register']; if($register == true) { ?> <p><?php _e('گذرواژه به ایمیل شما ارسال شد', 'purepress'); ?></p>  <?php } ?>
                            <input type="hidden" name="redirect_to" value="<?php echo $_SERVER['REQUEST_URI']; ?>?register=true" />
                            <input type="hidden" name="user-cookie" value="1" />
                    </p>
            </form>
    </div>

</div>


<!--</div>  container -->
<?php
/* Always have wp_footer() just before the closing </body>
 * tag of your theme, or you will break many plugins, which
 * generally use this hook to reference JavaScript files.
*/
wp_footer(); ?>

<script type="text/javascript" src="http://assets.pinterest.com/js/pinit.js"></script>
<script type="text/javascript" src="http://apis.google.com/js/plusone.js"></script>
</body>
</html>