<?php
/**
 * The loop that displays posts.
 *
 * The loop displays the posts and the post content.  See
 * http://codex.wordpress.org/The_Loop to understand it and
 * http://codex.wordpress.org/Template_Tags to understand
 * the tags used in it.
 *
 * This can be overridden in child themes with loop.php or
 * loop-template.php, where 'template' is the loop context
 * requested by a template. For example, loop-index.php would
 * be used if it exists and we ask for the loop with:
 * <code>get_template_part( 'loop', 'index' );</code>
 *
 * @package WordPress
 * @subpackage purepress
 * @since purepress 1.0
 */
?>


<section id="articles">
    <?php /* If there are no posts to display, such as an empty archive page */ ?>
    <?php if (!have_posts()) : ?>
    <article id="post-0" class="post error404 not-found">
        <h2 class="entry-title"><?php _e('پیدا نشد', 'purepress'); ?></h2>
        <div class="entry-content">
            <p><?php _e('متاسفانه چیزی که شما دنبالش میگردید ، وجود ندارد.', 'purepress'); ?></p>

        </div><!-- .entry-content -->
    </article><!-- #post-0 -->
<?php endif; ?>
<?php
?>
<?php while (have_posts()) : the_post(); ?>
    <article id="post-<?php the_ID(); ?>" <?php post_class('loop'); ?>>
        <?php  
        global $shortname;
        $th_status = get_post_meta($post->ID, $shortname . "_thumbnail_value", $single = true);

        if ($th_status != 'disable' && has_post_thumbnail()  ) { ?>
        <div class="thumb-container">
            <a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark">
                <?php the_post_thumbnail(); ?>
            </a>
            <div class="share">
                <a href="#" class="share-post"><?php _e('اشتراک این نوشته', 'purepress'); ?></a>
                <a href="#" class="thumb-permalink"><?php _e('لینک ثابت', 'purepress'); ?></a>
            </div>
            <div class="share-modal-box">
                <h3><?php _e('اشتراک این نوشته', 'purepress'); ?></h3>
                <ul class="share-icons">
                    <li class="tumblr"><a href="http://www.tumblr.com/share/link?url=<?php echo urlencode(get_permalink()); ?>&amp;name=<?php echo urlencode(get_the_title()); ?>">tumblr</a></li>
                    <li class="google"><a href="https://plus.google.com/share?url=<?php echo urlencode(get_permalink()); ?>">google</a></li>
                    <li class="linkedin"><a href="http://www.linkedin.com/shareArticle?&amp;url=<?php echo urlencode(get_permalink()); ?>&amp;title=<?php echo urlencode(get_the_title()) ?>">linkedin</a></li>
                    <li class="technorati"><a href="http://technorati.com/faves?add=<?php echo urlencode(get_permalink()); ?>">technorati</a></li>
                    <li class="twitter"><a href="http://twitter.com/home?status=Currently%20reading%20<?php the_permalink(); ?>">twitter</a></li>
                    <li class="facebook"><a href="http://www.facebook.com/sharer.php?u=<?php echo urlencode(get_permalink()); ?>&amp;t=<?php echo urlencode(get_the_title()); ?>" >facebook</a></li>
                </ul>
            </div>
        </div>
        <?php } ?>
        <div class="post-container single <?php
        if (!has_post_thumbnail()) {
            echo "no-thumb";
        }
        ?> ">
        <?php if (!is_page()) { ?>
        <div class="post-head">
            <div class="cat-list"><?php the_category(', '); ?></div> <a class="comments-link" href="<?php comments_link(); ?>"><?php echo get_comments_number(); ?></a>
            <div class="rating-stars"> <?php if (function_exists('wp_gdsr_rating_article')) { wp_gdsr_render_article(44, false, 'magnovus'); } ?> </div>
        </div> <?php } ?>
        <h2 class="entry-title "><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
        <?php if (!is_page()) { ?>
            <a class="author-link" href="<?php echo get_author_posts_url(get_the_author_meta('ID' )); ?>"><?php the_author_meta('display_name'); ?></a>
            <?php printf('<a href="%1$s" class="published-time" title="%2$s" rel="bookmark">%3$s</a>', get_permalink(), esc_attr(get_the_time()), get_the_date()); ?>
        <?php } ?>
        <div class="content">

            <?php the_content();
            custom_wp_link_pages();
            if (has_tag()) {
                echo "<div class=\"tags\">";
                the_tags(' <strong>برچسب های نوشته:</strong>  ', ',  ', ' ');
                echo "</div>";
            }
            ?>


        </div>
<?php 

$options = get_option('magnovus');
$showshare = false;
if (is_single() && $options['postshares']['post'] == 1 ) $showshare = true;
if (is_page() && $options['postshares']['page'] == 1 ) $showshare = true;
if($showshare == true) {
 ?>
        
        <div class="share-single-post clearfix">
            <ul>

                <li>
                    <a href="http://pinterest.com/pin/create/button/?url=<?php the_permalink() ?>&media=<?php $thumbnail = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), "large");
                    echo $thumbnail[0]; ?>&description=<?php the_title(); ?> on <?php echo site_url(); ?>" class="pin-it-button" count-layout="none"><img border="0" src="http://assets.pinterest.com/images/PinExt.png" title="Pin It" /></a>

                </li>
                <li>
                    <a href="http://twitter.com/share" class="twitter-share-button" data-url="<?php
                    if (is_single()) {
                        the_permalink();
                    } else {
                        echo home_url();
                    }
                    ?>" data-count="none" data-via="<?php bloginfo('name') ?>">Tweet</a>
                    <script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>
                </li>
                <li>
                    <g:plusone size="medium" href="<?php
                    if (is_single()) {
                     the_permalink();
                 } else {
                     echo home_url();
                 }
                 ?>"></g:plusone>
             </li>
             <li>
                <div id="fb-root"></div>
                <script>(function(d, s, id) {
                    var js, fjs = d.getElementsByTagName(s)[0];
                    if (d.getElementById(id)) return;
                    js = d.createElement(s); js.id = id;
                    js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=<?php echo get_option(PPTNAME . '_social_widget_fbid') ?>";
                    fjs.parentNode.insertBefore(js, fjs);
                }(document, 'script', 'facebook-jssdk'));</script>
                <div class="fb-like" data-send="false" data-layout="button_count" data-width="40" data-show-faces="false"></div>
            </li>
        </ul>
    </div>
    <?php } ?>
</div>

<?php

 
 $showinfo = false;
 if (is_single() && $options['authorinfo']['post'] == 1 && get_the_author_meta('description')) $showinfo = true;
 if (is_page() && $options['authorinfo']['page'] == 1 && get_the_author_meta('description')) $showinfo = true;


 if ($showinfo == true) : // If a user has filled out their description, show a bio on their entries   ?>
    <footer id="entry-author-info">
        <h4>درباره نویسنده</h4>
        <?php echo get_avatar(get_the_author_meta('user_email'), apply_filters('purepress_author_bio_avatar_size', 75)); ?>
        <h5><a class="ttip" title="Send email" href="mailto:<?php echo get_the_author_meta('user_email') ?>"><?php the_author(); ?></a></h5>
        <p><?php the_author_meta('description'); ?>
            <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>">
                <?php printf(__('نمایش تمام نوشته های %s &rarr;', 'purepress'), get_the_author()); ?>
            </a>
        </p>
        <ul id="user-socials">
            <?php $aid = get_the_author_meta('ID');

            if(get_user_meta($aid, 'twitter', true)) { ?><li id="twitter"><a href="http://twitter.com/#!/<?php echo get_user_meta($aid, 'twitter', true); ?>">Twitter</a></li> <?php }
            if(get_user_meta($aid, 'facebook', true)) { ?><li id="facebook"><a href="https://www.facebook.com/<?php echo get_user_meta($aid, 'facebook', true); ?>">Facebook</a></li> <?php }
            if(get_user_meta($aid, 'googleplus', true)) { ?><li id="google"><a href="https://plus.google.com/<?php echo get_user_meta($aid, 'googleplus', true); ?>">Google +</a></li> <?php }
            if(get_user_meta($aid, 'flickr', true)) { ?><li id="flickr"><a href="http://www.flickr.com/people/<?php echo get_user_meta($aid, 'flickr', true); ?>">Flickr</a></li> <?php }
            ?>
        </ul>
    </footer><!-- #entry-author-info -->
<?php endif; ?>
</article><!-- #post-## -->
<?php if (!is_page()) { ?>  
<nav id="nav-below" class="navigation">
    <?php if (get_adjacent_post(false, '', true)) { //if prev post exists ?>
    <div class="nav-previous">
        <p>
            <?php previous_post_link('%link', '%title'); ?>
        </p>
    </div>
    <?php } ?>

    <?php if (get_adjacent_post(false, '', false)) { //if next post exists  ?>
    <div class="nav-next">
        <p>
            <?php next_post_link('%link', '%title'); ?>
        </p>
    </div>
    <?php } ?>
</nav><!-- #nav-below -->
<aside id="related" class="clearfix">
    <h4><?php _e('نوشته های مرتبط', 'purepress'); ?></h4>
    <?php 
    if(function_exists('related_posts')) {
        related_posts();
    } else {
        echo fb_get_cat_related_posts();
        
    } ?>
</aside>
<?php } ?>
<?php endwhile; // End the loop. Whew.   ?>

<?php comments_template('', true); ?>
</section>
<?php /* Display navigation to next/previous pages when applicable */ ?>

<?php
wp_reset_postdata();
if (function_exists('wp_pagenavi')) :
    wp_pagenavi();
else:
    if ($wp_query->max_num_pages > 1) :
        ?>
    <nav id="nav-below" class="navigation ">
        <div class="nav-previous"><?php next_posts_link(__('&larr; نوشته های کهنه تر', 'purepress')); ?></div>
        <div class="nav-next"><?php previous_posts_link(__('نوشته های تازه تر &rarr;', 'purepress')); ?></div>
    </nav><!-- #nav-below -->
    <?php endif;
    endif; ?>

</section>