<?php
/**
 * The loop that displays posts.
 *
 * The loop displays the posts and the post content.  See
 * http://codex.wordpress.org/The_Loop to understand it and
 * http://codex.wordpress.org/Template_Tags to understand
 * the tags used in it.
 *
 * This can be overridden in child themes with loop.php or
 * loop-template.php, where 'template' is the loop context
 * requested by a template. For example, loop-index.php would
 * be used if it exists and we ask for the loop with:
 * <code>get_template_part( 'loop', 'index' );</code>
 *
 * @package WordPress
 * @subpackage purepress
 * @since purepress 1.0
 */
?>


<?php
$options = get_option('magnovus');

if(is_home() && $options['ajaxstatus']) { ?>
    <ul id="posts-sort">
        <li><?php _e('نمایش نوشته ها بر اساس', 'purepress'); ?></li>
        <li><a href="?gdsr_sort=rating&gdsr_order=desc" class="ani" id="rating"><?php _e('رتبه', 'purepress'); ?></a></li>
        <li><a href="" class="ani ajax" id="comments"><?php _e('دیدگاه ', 'purepress'); ?></a></li>
        <li class="active" ><a href="" class="ani ajax" id="date"><?php _e('تاریخ', 'purepress'); ?></a></li>
    </ul>
<?php } ?>
<section id="articles" >
    <?php if (is_search()) { ?>
        <h2 class="search-title"><?php printf( __( 'نتایج پیدا شده برای "%s"', 'purepress' ), '<span class="color1t">' . get_search_query() . '</span>' ); ?></h2>
    <?php } ?>
    <?php /* If there are no posts to display, such as an empty archive page */ ?>
    <?php if (!have_posts()) : ?>
        <article id="post-0" class="post error404 not-found">
            <h2 class="entry-title"><?php _e('چیزی پیدا نشد', 'purepress'); ?></h2>
            <div class="entry-content">
                <p><?php _e('چیزی که شما دنبالش میگردید ، وجود ندارد . با کلمات دیگر ، جستجوی خود را دوباره امتحان کنید.', 'purepress'); ?></p>

            </div><!-- .entry-content -->
        </article><!-- #post-0 -->
    <?php endif; ?>
    <?php
    ?>
    <?php while (have_posts()) : the_post(); ?>
        <article id="post-<?php the_ID(); ?>" <?php post_class('loop'); ?>>
            <?php if (has_post_thumbnail()) { ?>
                <div class="thumb-container">
                    <a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark">
                        <?php the_post_thumbnail(); ?>
                    </a>
                    <div class="share">
                        <a href="#" class="share-post"><?php _e('اشتراک این نوشته', 'purepress'); ?></a>
                        <a href="<?php the_permalink(); ?>" class="thumb-permalink"><?php _e('Permalink', 'purepress'); ?></a>
                    </div>
                    <div class="share-modal-box">
                        <h3><?php _e('اشتراک این نوشته', 'purepress'); ?></h3>
                        <ul class="share-icons">
                            <li class="google"><a href="https://plus.google.com/share?url=<?php echo urlencode(get_permalink()); ?>">گوگل</a></li>
                            
                            <li class="twitter"><a href="http://twitter.com/home?status=Currently%20reading%20<?php the_permalink(); ?>">توییتر</a></li>
                            <li class="facebook"><a href="http://www.facebook.com/sharer.php?u=<?php echo urlencode(get_permalink()); ?>&amp;t=<?php echo urlencode(get_the_title()); ?>" >فیس بوک</a></li>
                        </ul>
                    </div>
                </div>
            <?php } ?>
            <div class="post-container <?php
        if (!has_post_thumbnail()) {
            echo "no-thumb";
        }
        ?> ">
                <?php if(!is_page()) { ?><div class="cat-list"><?php the_category(', '); ?></div><?php } ?> <a class="comments-link" href="<?php comments_link(); ?>"><?php echo get_comments_number(); ?></a>
                <?php

                if (function_exists('wp_gdsr_rating_article')) { echo '<div class="rating-stars">'; wp_gdsr_render_article(44, true, 'magnovus'); echo '</div>'; }

                ?>

                <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('لینک ثابت به %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                <a class="author-link" href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php the_author_meta('display_name'); ?></a>
                <?php printf('<a href="%1$s" class="published-time" title="%2$s" rel="bookmark">%3$s</a>', get_permalink(), esc_attr(get_the_time()), get_the_date()); ?>
                <div class="excerpt"><?php the_excerpt() ?> </div>

            </div>
        </article><!-- #post-## -->
<?php endwhile; // End the loop. Whew.  ?>

</section>
<div id="loader"></div>
<?php /* Display navigation to next/previous pages when applicable */ ?>

<?php
wp_reset_postdata();
if (function_exists('wp_pagenavi')) :
    wp_pagenavi();
else:
    if ($wp_query->max_num_pages > 1) :
        ?>
        <nav id="nav-below" class="navigation ">
            <div class="nav-previous"><?php next_posts_link(__('&larr; نوشته های کهنه تر', 'purepress')); ?></div>
            <div class="nav-next"><?php previous_posts_link(__('نوشته های تازه تر &rarr;', 'purepress')); ?></div>
        </nav><!-- #nav-below -->
    <?php endif;
endif; ?>
<?php get_template_part('small-loops'); ?>