<?php
/**
 * Template Name: Authors list
 *
 * A custom page template without sidebar.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage purepress
 * @since purepress 1.0
 */

get_header();
?>
<div class="container">
    <div class="row clearfix">
        <?php $options = get_option('magnovus'); if($options['sidebarside'] == 'left') { get_sidebar(); } ?>
        <section id="content" class="eightcol <?php if($options['sidebarside'] == 'left') { echo 'last'; } ?>" role="main" >
            <section id="articles" >
             <article id="post-<?php the_ID(); ?>" <?php post_class('loop'); ?>>
                 <div class="post-container single no-thumb ">
                    <h2 class="entry-title "><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('Permalink to %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                    <div class="content">
                     <?php while (have_posts()) : the_post();        
                        the_content();
                     endwhile; 
                     $author_role = $options['author_role'];
                     mag_display_authors($author_role,99);
                     ?>



                 </div>
             </div>
         </article>
     </section>
 </section>
 <?php if($options['sidebarside'] != 'left') { get_sidebar(); } ?>
</div>
</div>
</div>
<?php get_footer(); ?>