<?php
/**
 * Template Name: Gallery page
 *
 * A custom page template with slider.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage purepress
 * @since purepress 1.0
 */

get_header();
?>
<div class="container">
    <div class="row clearfix">
        <?php $options = get_option('magnovus'); if($options['sidebarside'] == 'left') { get_sidebar(); } ?>
        <section id="content" class="eightcol <?php if($options['sidebarside'] == 'left') { echo 'last'; } ?>" role="main" >
            <section id="articles">
                <?php /* If there are no posts to display, such as an empty archive page */ ?>
                <?php if (!have_posts()) : ?>
                    <article id="post-0" class="post error404 not-found">
                        <h2 class="entry-title"><?php _e('Not Found', 'purepress'); ?></h2>
                        <div class="entry-content">
                            <p><?php _e('Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'purepress'); ?></p>

                        </div><!-- .entry-content -->
                    </article><!-- #post-0 -->
                <?php endif; ?>
                <?php

                    $args = array(
                            'numberposts' => -1, // Using -1 loads all posts
                            'orderby' => 'menu_order', // This ensures images are in the order set in the page media manager
                            'order'=> 'ASC',
                            'post_mime_type' => 'image', // Make sure it doesn't pull other resources, like videos
                            'post_parent' => $post->ID, // Important part - ensures the associated images are loaded
                            'post_status' => null,
                            'post_type' => 'attachment'
                    );

                    $images = get_children( $args );
                    // continued below ...
                
                    	// continued from above ...
                    if($images){ ?>
                   <div class="flexslider"> <ul class="slides"> 
                            <?php foreach($images as $image){ 
                            $attachment=wp_get_attachment_image_src($image->ID, 'large');
                            
                            ?>
                            <li>
                                <img src="<?php echo $attachment[0] ?>" alt="<?php echo $image->post_title; ?>" title="<?php echo $image->post_title; ?>" />
                                <?php if($image->post_excerpt){ ?><p class="flex-caption"><?php echo $image->post_excerpt; ?></p><?php } ?>
                            </li>
                            <?php	} ?>
                    </div> </ul> 
                    <?php } ?>


                <?php while (have_posts()) : the_post(); ?>
                    <article id="post-<?php the_ID(); ?>" <?php post_class('loop'); ?>>
                        <?php  
                        global $shortname;
                        $th_status = get_post_meta($post->ID, $shortname . "_thumbnail_value", $single = true);

                        if ($th_status != 'disable' && has_post_thumbnail()  ) { ?>
                            <div class="thumb-container">
                                <a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('Permalink to %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark">
                                    <?php the_post_thumbnail(); ?>
                                </a>
                                <div class="share">
                                    <a href="#" class="share-post"><?php _e('Share this post', 'purepress'); ?></a>
                                    <a href="#" class="thumb-permalink"><?php _e('Permalink', 'purepress'); ?></a>
                                </div>
                            </div>
                        <?php } ?>
                        <div class="post-container single <?php
                    if (!has_post_thumbnail()) {
                        echo "no-thumb";
                    }
                        ?> ">
                               <?php if (!is_page()) { ?>
                                <div class="post-head">
                                    <div class="cat-list"><?php the_category(', '); ?></div> <a class="comments-link" href="<?php comments_link(); ?>"><?php echo get_comments_number(); ?></a>
                                    <div class="rating-stars"> <?php wp_gdsr_render_article(44, false, 'magnovus'); ?> </div>
                                </div> <?php } ?>
                            <h2 class="entry-title "><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('Permalink to %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                            <a class="author-link" href="<?php echo get_author_posts_url(get_the_author_meta('ID' )); ?>"><?php the_author_meta('display_name'); ?></a>
                            <?php printf('<a href="%1$s" class="published-time" title="%2$s" rel="bookmark">%3$s</a>', get_permalink(), esc_attr(get_the_time()), get_the_date()); ?>
                                        <div class="content">

                            <?php the_content();
                            custom_wp_link_pages(); ?> 


                            </div>

                        </div>

                            <?php if (get_the_author_meta('description')) : // If a user has filled out their description, show a bio on their entries   ?>
                            <footer id="entry-author-info">
                                <h4>About Author</h4>
                    <?php echo get_avatar(get_the_author_meta('user_email'), apply_filters('purepress_author_bio_avatar_size', 75)); ?>
                                <h5><a class="ttip" title="Send email" href="mailto:<?php echo get_the_author_meta('user_email') ?>"><?php the_author(); ?></a></h5>
                                <p><?php the_author_meta('description'); ?>
                                    <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>">
                    <?php printf(__('View all posts by %s &rarr;', 'purepress'), get_the_author()); ?>
                                    </a>
                                </p>
                            </footer><!-- #entry-author-info -->
                        <?php endif; ?>
                    </article><!-- #post-## -->
                   <?php if (!is_page()) { ?>  
                    <nav id="nav-below" class="navigation">
                <?php if (get_adjacent_post(false, '', true)) { //if prev post exists ?>
                            <div class="nav-previous">
                                <p>
                    <?php previous_post_link('%link', '%title'); ?>
                                </p>
                            </div>
                        <?php } ?>

                <?php if (get_adjacent_post(false, '', false)) { //if next post exists  ?>
                            <div class="nav-next">
                                <p>
                    <?php next_post_link('%link', '%title'); ?>
                                </p>
                            </div>
                <?php } ?>
                    </nav><!-- #nav-below -->
                    <aside id="related" class="clearfix">
                         <h4><?php _e('Related posts', 'purepress'); ?></h4>
                    <?php echo fb_get_cat_related_posts() ?>
                    </aside>
                      <?php } ?>
                <?php endwhile; // End the loop. Whew.   ?>

            <?php comments_template('', true); ?>
            </section>
            <?php /* Display navigation to next/previous pages when applicable */ ?>

            <?php
            wp_reset_postdata();
            if (function_exists('wp_pagenavi')) :
                wp_pagenavi();
            else:
                if ($wp_query->max_num_pages > 1) :
                    ?>
                    <nav id="nav-below" class="navigation ">
                        <div class="nav-previous"><?php next_posts_link(__('&larr; Older posts', 'purepress')); ?></div>
                        <div class="nav-next"><?php previous_posts_link(__('Newer posts &rarr;', 'purepress')); ?></div>
                    </nav><!-- #nav-below -->
                <?php endif;
            endif; ?>

            </section>
            
        </section>
        <?php if($options['sidebarside'] != 'left') { get_sidebar(); } ?>
    </div>
</div>
</div>



<?php get_footer(); ?>