<?php
/**
 * Template Name: Site map
 *
 * A custom page template without sidebar.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage purepress
 * @since purepress 1.0
 */

get_header();
?>
<div class="container">
    <div class="row clearfix">
        <?php $options = get_option('magnovus'); if($options['sidebarside'] == 'left') { get_sidebar(); } ?>
        <section id="content" class="eightcol <?php if($options['sidebarside'] == 'left') { echo 'last'; } ?>" role="main" >
            <section id="articles" >
                 <article id="post-<?php the_ID(); ?>" <?php post_class('loop'); ?>>
                     <div class="post-container single no-thumb ">
                        <h2 class="entry-title "><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('Permalink to %s', 'purepress'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                            <div class="content">
                                <ul class="tabs">
                                    <li class="active"><a href="#"><?php _e('Posts by date', 'purepress'); ?></a></li>
                                    <li><a href="#"><?php _e( 'By title', 'purepress' ); ?></a></li>
                                    <li><a href="#"><?php _e( 'By subject', 'purepress' ); ?></a></li>
                                </ul>
                                <div class="tabs-content">
                                    <div class="tab"> 
                                        <?php bm_displayArchives(); ?>
                                    </div>
                                    <div class="tab">
                                        <ul>
                                            <?php wp_get_archives(array('type'=> 'alpha','limit' => '199', 'format' => 'html', 'show_post_count' => true )); ?>
                                        </ul>
                                    </div>
                                    <div class="tab">
                                        <ul>
                                            <?php wp_list_categories(array('pad_counts'=> trure, 'title_li' => '')); ?>
                                        </ul>
                                    </div>
                                </div>
                               
                            </div>
                     </div>
                 </article>
            </section>
        </section>
        <?php if($options['sidebarside'] != 'left') { get_sidebar(); } ?>
    </div>
</div>
</div>



<?php get_footer(); ?>